# CUDNN API supported by HIP and MIOPEN

## **1. CUDNN Data types**

|**CUDA**|**A**|**D**|**C**|**R**|**HIP**|**A**|**D**|**C**|**R**|**E**|**MIOPEN**|**A**|**D**|**C**|**R**|**E**|
|:--|:-:|:-:|:-:|:-:|:--|:-:|:-:|:-:|:-:|:-:|:--|:-:|:-:|:-:|:-:|:-:|
|`CUDNN_16BIT_INDICES`|6.0.0|9.0.0| | |`HIPDNN_16BIT_INDICES`| | | | | |`MIOPEN_16BIT_INDICES`|3.9.0| | | | |
|`CUDNN_32BIT_INDICES`|6.0.0|9.0.0| | |`HIPDNN_32BIT_INDICES`| | | | | |`MIOPEN_32BIT_INDICES`|3.9.0| | | | |
|`CUDNN_64BIT_INDICES`|6.0.0|9.0.0| | |`HIPDNN_64BIT_INDICES`| | | | | |`MIOPEN_64BIT_INDICES`|3.9.0| | | | |
|`CUDNN_8BIT_INDICES`|6.0.0|9.0.0| | |`HIPDNN_8BIT_INDICES`| | | | | |`MIOPEN_8BIT_INDICES`|3.9.0| | | | |
|`CUDNN_ACTIVATION_CLIPPED_RELU`|4.0.0|9.0.0| | |`HIPDNN_ACTIVATION_CLIPPED_RELU`| | | | | |`miopenActivationCLIPPEDRELU`|2.1.0| | | | |
|`CUDNN_ACTIVATION_ELU`|6.0.0|9.0.0| | |`HIPDNN_ACTIVATION_ELU`| | | | | |`miopenActivationELU`|2.1.0| | | | |
|`CUDNN_ACTIVATION_IDENTITY`|7.1.3|9.0.0| | |`HIPDNN_ACTIVATION_PATHTRU`| | | | | |`miopenActivationPASTHRU`|2.1.0| | | | |
|`CUDNN_ACTIVATION_RELU`|1.0.0|9.0.0| | |`HIPDNN_ACTIVATION_RELU`| | | | | |`miopenActivationRELU`|2.1.0| | | | |
|`CUDNN_ACTIVATION_SIGMOID`|1.0.0|9.0.0| | |`HIPDNN_ACTIVATION_SIGMOID`| | | | | |`miopenActivationLOGISTIC`|2.1.0| | | | |
|`CUDNN_ACTIVATION_SWISH`|8.2.0|9.0.0| | |`HIPDNN_ACTIVATION_SWISH`| | | | | | | | | | | |
|`CUDNN_ACTIVATION_TANH`|1.0.0|9.0.0| | |`HIPDNN_ACTIVATION_TANH`| | | | | |`miopenActivationTANH`|2.1.0| | | | |
|`CUDNN_ATTN_DISABLE_PROJ_BIASES`|7.6.3| | | | | | | | | | | | | | | |
|`CUDNN_ATTN_ENABLE_PROJ_BIASES`|7.6.3| | | | | | | | | | | | | | | |
|`CUDNN_ATTN_QUERYMAP_ALL_TO_ONE`|7.5.0| | | | | | | | | | | | | | | |
|`CUDNN_ATTN_QUERYMAP_ONE_TO_ONE`|7.5.0| | | | | | | | | | | | | | | |
|`CUDNN_ATTN_WKIND_COUNT`|7.6.3| | | | | | | | | | | | | | | |
|`CUDNN_ATTR_CONVOLUTION_COMP_TYPE`|8.0.1| | | | | | | | | |`MIOPEN_ATTR_CONVOLUTION_COMP_TYPE`|6.2.0| | | | |
|`CUDNN_ATTR_CONVOLUTION_CONV_MODE`|8.0.2| | | | | | | | | |`MIOPEN_ATTR_CONVOLUTION_CONV_MODE`|6.2.0| | | | |
|`CUDNN_ATTR_CONVOLUTION_DILATIONS`|8.0.1| | | | | | | | | |`MIOPEN_ATTR_CONVOLUTION_DILATIONS`|6.2.0| | | | |
|`CUDNN_ATTR_CONVOLUTION_FILTER_STRIDES`|8.0.1| | | | | | | | | |`MIOPEN_ATTR_CONVOLUTION_FILTER_STRIDES`|6.2.0| | | | |
|`CUDNN_ATTR_CONVOLUTION_POST_PADDINGS`|8.0.1| | | | | | | | | |`MIOPEN_ATTR_CONVOLUTION_POST_PADDINGS`|6.2.0| | | | |
|`CUDNN_ATTR_CONVOLUTION_PRE_PADDINGS`|8.0.1| | | | | | | | | |`MIOPEN_ATTR_CONVOLUTION_PRE_PADDINGS`|6.2.0| | | | |
|`CUDNN_ATTR_CONVOLUTION_SPATIAL_DIMS`|8.0.1| | | | | | | | | |`MIOPEN_ATTR_CONVOLUTION_SPATIAL_DIMS`|6.2.0| | | | |
|`CUDNN_ATTR_ENGINECFG_ENGINE`|8.0.1| | | | | | | | | |`MIOPEN_ATTR_ENGINECFG_ENGINE`|6.2.0| | | | |
|`CUDNN_ATTR_ENGINECFG_INTERMEDIATE_INFO`|8.0.1| | | | | | | | | |`MIOPEN_ATTR_ENGINECFG_INTERMEDIATE_INFO`|6.2.0| | | | |
|`CUDNN_ATTR_ENGINECFG_KNOB_CHOICES`|8.0.1| | | | | | | | | |`MIOPEN_ATTR_ENGINECFG_KNOB_CHOICES`|6.2.0| | | | |
|`CUDNN_ATTR_ENGINECFG_SHARED_MEMORY_USED`|9.2.0| | | | | | | | | | | | | | | |
|`CUDNN_ATTR_ENGINECFG_WORKSPACE_SIZE`|9.2.0| | | | | | | | | | | | | | | |
|`CUDNN_ATTR_ENGINEHEUR_MODE`|8.0.1| | | | | | | | | |`MIOPEN_ATTR_ENGINEHEUR_MODE`|6.2.0| | | | |
|`CUDNN_ATTR_ENGINEHEUR_OPERATION_GRAPH`|8.0.1| | | | | | | | | |`MIOPEN_ATTR_ENGINEHEUR_OPERATION_GRAPH`|6.2.0| | | | |
|`CUDNN_ATTR_ENGINEHEUR_RESULTS`|8.0.1| | | | | | | | | |`MIOPEN_ATTR_ENGINEHEUR_RESULTS`|6.2.0| | | | |
|`CUDNN_ATTR_ENGINEHEUR_SM_COUNT_TARGET`|8.9.5| | | | | | | | | |`MIOPEN_ATTR_ENGINEHEUR_SM_COUNT_TARGET`|6.2.0| | | | |
|`CUDNN_ATTR_ENGINE_BEHAVIOR_NOTE`|8.2.0| | | | | | | | | |`MIOPEN_ATTR_ENGINE_BEHAVIOR_NOTE`|6.2.0| | | | |
|`CUDNN_ATTR_ENGINE_GLOBAL_INDEX`|8.0.1| | | | | | | | | |`MIOPEN_ATTR_ENGINE_GLOBAL_INDEX`|6.2.0| | | | |
|`CUDNN_ATTR_ENGINE_KNOB_INFO`|8.0.2| | | | | | | | | |`MIOPEN_ATTR_ENGINE_KNOB_INFO`|6.2.0| | | | |
|`CUDNN_ATTR_ENGINE_LAYOUT_INFO`|8.0.2| | | | | | | | | |`MIOPEN_ATTR_ENGINE_LAYOUT_INFO`|6.2.0| | | | |
|`CUDNN_ATTR_ENGINE_NUMERICAL_NOTE`|8.0.1| | | | | | | | | |`MIOPEN_ATTR_ENGINE_NUMERICAL_NOTE`|6.2.0| | | | |
|`CUDNN_ATTR_ENGINE_OPERATION_GRAPH`|8.0.1| | | | | | | | | |`MIOPEN_ATTR_ENGINE_OPERATION_GRAPH`|6.2.0| | | | |
|`CUDNN_ATTR_ENGINE_SM_COUNT_TARGET`|8.9.5| | | | | | | | | |`MIOPEN_ATTR_ENGINE_SM_COUNT_TARGET`|6.2.0| | | | |
|`CUDNN_ATTR_EXECUTION_PLAN_COMPUTED_INTERMEDIATE_UIDS`|8.0.2| | | | | | | | | |`MIOPEN_ATTR_EXECUTION_PLAN_COMPUTED_INTERMEDIATE_UIDS`|6.2.0| | | | |
|`CUDNN_ATTR_EXECUTION_PLAN_ENGINE_CONFIG`|8.0.1| | | | | | | | | |`MIOPEN_ATTR_EXECUTION_PLAN_ENGINE_CONFIG`|6.2.0| | | | |
|`CUDNN_ATTR_EXECUTION_PLAN_HANDLE`|8.0.1| | | | | | | | | |`MIOPEN_ATTR_EXECUTION_PLAN_HANDLE`|6.2.0| | | | |
|`CUDNN_ATTR_EXECUTION_PLAN_JSON_REPRESENTATION`|8.4.0| | | | | | | | | |`MIOPEN_ATTR_EXECUTION_PLAN_JSON_REPRESENTATION`|6.2.0| | | | |
|`CUDNN_ATTR_EXECUTION_PLAN_KERNEL_CACHE`|9.4.0| | | | | | | | | | | | | | | |
|`CUDNN_ATTR_EXECUTION_PLAN_RUN_ONLY_INTERMEDIATE_UIDS`|8.0.2| | | | | | | | | |`MIOPEN_ATTR_EXECUTION_PLAN_RUN_ONLY_INTERMEDIATE_UIDS`|6.2.0| | | | |
|`CUDNN_ATTR_EXECUTION_PLAN_WORKSPACE_SIZE`|8.0.1| | | | | | | | | |`MIOPEN_ATTR_EXECUTION_PLAN_WORKSPACE_SIZE`|6.2.0| | | | |
|`CUDNN_ATTR_INTERMEDIATE_INFO_DEPENDENT_ATTRIBUTES`|8.0.2| | | | | | | | | |`MIOPEN_ATTR_INTERMEDIATE_INFO_DEPENDENT_ATTRIBUTES`|6.2.0| | | | |
|`CUDNN_ATTR_INTERMEDIATE_INFO_DEPENDENT_DATA_UIDS`|8.0.2| | | | | | | | | |`MIOPEN_ATTR_INTERMEDIATE_INFO_DEPENDENT_DATA_UIDS`|6.2.0| | | | |
|`CUDNN_ATTR_INTERMEDIATE_INFO_SIZE`|8.0.1| | | | | | | | | |`MIOPEN_ATTR_INTERMEDIATE_INFO_SIZE`|6.2.0| | | | |
|`CUDNN_ATTR_INTERMEDIATE_INFO_UNIQUE_ID`|8.0.2| | | | | | | | | |`MIOPEN_ATTR_INTERMEDIATE_INFO_UNIQUE_ID`|6.2.0| | | | |
|`CUDNN_ATTR_KERNEL_CACHE_IS_ENGINECFG_KERNEL_CACHED`|9.4.0| | | | | | | | | | | | | | | |
|`CUDNN_ATTR_KERNEL_CACHE_OPERATION_GRAPH`|9.5.0| | | | | | | | | | | | | | | |
|`CUDNN_ATTR_KNOB_CHOICE_KNOB_TYPE`|8.0.1| | | | | | | | | |`MIOPEN_ATTR_KNOB_CHOICE_KNOB_TYPE`|6.2.0| | | | |
|`CUDNN_ATTR_KNOB_CHOICE_KNOB_VALUE`|8.0.1| | | | | | | | | |`MIOPEN_ATTR_KNOB_CHOICE_KNOB_VALUE`|6.2.0| | | | |
|`CUDNN_ATTR_KNOB_INFO_MAXIMUM_VALUE`|8.0.1| | | | | | | | | |`MIOPEN_ATTR_KNOB_INFO_MAXIMUM_VALUE`|6.2.0| | | | |
|`CUDNN_ATTR_KNOB_INFO_MINIMUM_VALUE`|8.0.1| | | | | | | | | |`MIOPEN_ATTR_KNOB_INFO_MINIMUM_VALUE`|6.2.0| | | | |
|`CUDNN_ATTR_KNOB_INFO_STRIDE`|8.0.1| | | | | | | | | |`MIOPEN_ATTR_KNOB_INFO_STRIDE`|6.2.0| | | | |
|`CUDNN_ATTR_KNOB_INFO_TYPE`|8.0.1| | | | | | | | | |`MIOPEN_ATTR_KNOB_INFO_TYPE`|6.2.0| | | | |
|`CUDNN_ATTR_LAYOUT_INFO_TENSOR_UID`|8.0.2| | | | | | | | | |`MIOPEN_ATTR_LAYOUT_INFO_TENSOR_UID`|6.2.0| | | | |
|`CUDNN_ATTR_LAYOUT_INFO_TYPES`|8.0.2| | | | | | | | | |`MIOPEN_ATTR_LAYOUT_INFO_TYPES`|6.2.0| | | | |
|`CUDNN_ATTR_MATMUL_COMP_TYPE`|8.1.0| | | | | | | | | |`MIOPEN_ATTR_MATMUL_COMP_TYPE`|6.2.0| | | | |
|`CUDNN_ATTR_MATMUL_PADDING_VALUE`|8.9.0| | | | | | | | | |`MIOPEN_ATTR_MATMUL_PADDING_VALUE`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATIONGRAPH_ENGINE_GLOBAL_COUNT`|8.0.1| | | | | | | | | |`MIOPEN_ATTR_OPERATIONGRAPH_ENGINE_GLOBAL_COUNT`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATIONGRAPH_HANDLE`|8.0.1| | | | | | | | | |`MIOPEN_ATTR_OPERATIONGRAPH_HANDLE`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATIONGRAPH_IS_DYNAMIC_SHAPE_ENABLED`|9.4.0| | | | | | | | | | | | | | | |
|`CUDNN_ATTR_OPERATIONGRAPH_OPS`|8.0.1| | | | | | | | | |`MIOPEN_ATTR_OPERATIONGRAPH_OPS`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_BN_BWD_WEIGHTS_BN_SCALE_DESC`|8.2.0| | | | | | | | | |`MIOPEN_ATTR_OPERATION_BN_BWD_WEIGHTS_BN_SCALE_DESC`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_BN_BWD_WEIGHTS_DBN_BIAS_DESC`|8.2.0| | | | | | | | | |`MIOPEN_ATTR_OPERATION_BN_BWD_WEIGHTS_DBN_BIAS_DESC`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_BN_BWD_WEIGHTS_DBN_SCALE_DESC`|8.2.0| | | | | | | | | |`MIOPEN_ATTR_OPERATION_BN_BWD_WEIGHTS_DBN_SCALE_DESC`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_BN_BWD_WEIGHTS_DY_DESC`|8.2.0| | | | | | | | | |`MIOPEN_ATTR_OPERATION_BN_BWD_WEIGHTS_DY_DESC`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_BN_BWD_WEIGHTS_EQ_BIAS`|8.2.0| | | | | | | | | |`MIOPEN_ATTR_OPERATION_BN_BWD_WEIGHTS_EQ_BIAS`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_BN_BWD_WEIGHTS_EQ_DY_SCALE_DESC`|8.2.0| | | | | | | | | |`MIOPEN_ATTR_OPERATION_BN_BWD_WEIGHTS_EQ_DY_SCALE_DESC`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_BN_BWD_WEIGHTS_EQ_X_SCALE_DESC`|8.2.0| | | | | | | | | |`MIOPEN_ATTR_OPERATION_BN_BWD_WEIGHTS_EQ_X_SCALE_DESC`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_BN_BWD_WEIGHTS_INVSTD_DESC`|8.2.0| | | | | | | | | |`MIOPEN_ATTR_OPERATION_BN_BWD_WEIGHTS_INVSTD_DESC`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_BN_BWD_WEIGHTS_MATH_PREC`|8.2.0| | | | | | | | | |`MIOPEN_ATTR_OPERATION_BN_BWD_WEIGHTS_MATH_PREC`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_BN_BWD_WEIGHTS_MEAN_DESC`|8.2.0| | | | | | | | | |`MIOPEN_ATTR_OPERATION_BN_BWD_WEIGHTS_MEAN_DESC`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_BN_BWD_WEIGHTS_X_DESC`|8.2.0| | | | | | | | | |`MIOPEN_ATTR_OPERATION_BN_BWD_WEIGHTS_X_DESC`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_BN_FINALIZE_ACCUM_COUNT_DESC`|8.1.0| | | | | | | | | |`MIOPEN_ATTR_OPERATION_BN_FINALIZE_ACCUM_COUNT_DESC`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_BN_FINALIZE_BIAS_DESC`|8.1.0| | | | | | | | | |`MIOPEN_ATTR_OPERATION_BN_FINALIZE_BIAS_DESC`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_BN_FINALIZE_EPSILON_DESC`|8.1.0| | | | | | | | | |`MIOPEN_ATTR_OPERATION_BN_FINALIZE_EPSILON_DESC`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_BN_FINALIZE_EQ_BIAS_DESC`|8.1.0| | | | | | | | | |`MIOPEN_ATTR_OPERATION_BN_FINALIZE_EQ_BIAS_DESC`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_BN_FINALIZE_EQ_SCALE_DESC`|8.1.0| | | | | | | | | |`MIOPEN_ATTR_OPERATION_BN_FINALIZE_EQ_SCALE_DESC`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_BN_FINALIZE_EXP_AVERATE_FACTOR_DESC`|8.1.0| | | | | | | | | |`MIOPEN_ATTR_OPERATION_BN_FINALIZE_EXP_AVERATE_FACTOR_DESC`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_BN_FINALIZE_MATH_PREC`|8.1.0| | | | | | | | | |`MIOPEN_ATTR_OPERATION_BN_FINALIZE_MATH_PREC`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_BN_FINALIZE_PREV_RUNNING_MEAN_DESC`|8.1.0| | | | | | | | | |`MIOPEN_ATTR_OPERATION_BN_FINALIZE_PREV_RUNNING_MEAN_DESC`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_BN_FINALIZE_PREV_RUNNING_VAR_DESC`|8.1.0| | | | | | | | | |`MIOPEN_ATTR_OPERATION_BN_FINALIZE_PREV_RUNNING_VAR_DESC`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_BN_FINALIZE_SAVED_INV_STD_DESC`|8.1.0| | | | | | | | | |`MIOPEN_ATTR_OPERATION_BN_FINALIZE_SAVED_INV_STD_DESC`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_BN_FINALIZE_SAVED_MEAN_DESC`|8.1.0| | | | | | | | | |`MIOPEN_ATTR_OPERATION_BN_FINALIZE_SAVED_MEAN_DESC`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_BN_FINALIZE_SCALE_DESC`|8.1.0| | | | | | | | | |`MIOPEN_ATTR_OPERATION_BN_FINALIZE_SCALE_DESC`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_BN_FINALIZE_STATS_MODE`|8.1.0| | | | | | | | | |`MIOPEN_ATTR_OPERATION_BN_FINALIZE_STATS_MODE`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_BN_FINALIZE_UPDATED_RUNNING_MEAN_DESC`|8.1.0| | | | | | | | | |`MIOPEN_ATTR_OPERATION_BN_FINALIZE_UPDATED_RUNNING_MEAN_DESC`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_BN_FINALIZE_UPDATED_RUNNING_VAR_DESC`|8.1.0| | | | | | | | | |`MIOPEN_ATTR_OPERATION_BN_FINALIZE_UPDATED_RUNNING_VAR_DESC`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_BN_FINALIZE_Y_SQ_SUM_DESC`|8.1.0| | | | | | | | | |`MIOPEN_ATTR_OPERATION_BN_FINALIZE_Y_SQ_SUM_DESC`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_BN_FINALIZE_Y_SUM_DESC`|8.1.0| | | | | | | | | |`MIOPEN_ATTR_OPERATION_BN_FINALIZE_Y_SUM_DESC`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_CONCAT_AXIS`|8.5.0| | | | | | | | | |`MIOPEN_ATTR_OPERATION_CONCAT_AXIS`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_CONCAT_INPLACE_INDEX`|8.5.0| | | | | | | | | |`MIOPEN_ATTR_OPERATION_CONCAT_INPLACE_INDEX`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_CONCAT_INPUT_DESCS`|8.5.0| | | | | | | | | |`MIOPEN_ATTR_OPERATION_CONCAT_INPUT_DESCS`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_CONCAT_OUTPUT_DESC`|8.5.0| | | | | | | | | |`MIOPEN_ATTR_OPERATION_CONCAT_OUTPUT_DESC`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_CONVOLUTION_BWD_DATA_ALPHA`|8.0.1| | | | | | | | | |`MIOPEN_ATTR_OPERATION_CONVOLUTION_BWD_DATA_ALPHA`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_CONVOLUTION_BWD_DATA_BETA`|8.0.1| | | | | | | | | |`MIOPEN_ATTR_OPERATION_CONVOLUTION_BWD_DATA_BETA`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_CONVOLUTION_BWD_DATA_CONV_DESC`|8.0.1| | | | | | | | | |`MIOPEN_ATTR_OPERATION_CONVOLUTION_BWD_DATA_CONV_DESC`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_CONVOLUTION_BWD_DATA_DX`|8.0.1| | | | | | | | | |`MIOPEN_ATTR_OPERATION_CONVOLUTION_BWD_DATA_DX`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_CONVOLUTION_BWD_DATA_DY`|8.0.1| | | | | | | | | |`MIOPEN_ATTR_OPERATION_CONVOLUTION_BWD_DATA_DY`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_CONVOLUTION_BWD_DATA_W`|8.0.1| | | | | | | | | |`MIOPEN_ATTR_OPERATION_CONVOLUTION_BWD_DATA_W`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_CONVOLUTION_BWD_FILTER_ALPHA`|8.0.1| | | | | | | | | |`MIOPEN_ATTR_OPERATION_CONVOLUTION_BWD_FILTER_ALPHA`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_CONVOLUTION_BWD_FILTER_BETA`|8.0.1| | | | | | | | | |`MIOPEN_ATTR_OPERATION_CONVOLUTION_BWD_FILTER_BETA`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_CONVOLUTION_BWD_FILTER_CONV_DESC`|8.0.1| | | | | | | | | |`MIOPEN_ATTR_OPERATION_CONVOLUTION_BWD_FILTER_CONV_DESC`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_CONVOLUTION_BWD_FILTER_DW`|8.0.1| | | | | | | | | |`MIOPEN_ATTR_OPERATION_CONVOLUTION_BWD_FILTER_DW`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_CONVOLUTION_BWD_FILTER_DY`|8.0.1| | | | | | | | | |`MIOPEN_ATTR_OPERATION_CONVOLUTION_BWD_FILTER_DY`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_CONVOLUTION_BWD_FILTER_X`|8.0.1| | | | | | | | | |`MIOPEN_ATTR_OPERATION_CONVOLUTION_BWD_FILTER_X`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_CONVOLUTION_FORWARD_ALPHA`|8.0.1| | | | | | | | | |`MIOPEN_ATTR_OPERATION_CONVOLUTION_FORWARD_ALPHA`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_CONVOLUTION_FORWARD_BETA`|8.0.1| | | | | | | | | |`MIOPEN_ATTR_OPERATION_CONVOLUTION_FORWARD_BETA`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_CONVOLUTION_FORWARD_CONV_DESC`|8.0.1| | | | | | | | | |`MIOPEN_ATTR_OPERATION_CONVOLUTION_FORWARD_CONV_DESC`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_CONVOLUTION_FORWARD_W`|8.0.1| | | | | | | | | |`MIOPEN_ATTR_OPERATION_CONVOLUTION_FORWARD_W`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_CONVOLUTION_FORWARD_X`|8.0.1| | | | | | | | | |`MIOPEN_ATTR_OPERATION_CONVOLUTION_FORWARD_X`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_CONVOLUTION_FORWARD_Y`|8.0.1| | | | | | | | | |`MIOPEN_ATTR_OPERATION_CONVOLUTION_FORWARD_Y`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_GENSTATS_MATH_PREC`|8.0.1| | | | | | | | | |`MIOPEN_ATTR_OPERATION_GENSTATS_MATH_PREC`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_GENSTATS_MODE`|8.0.1| | | | | | | | | |`MIOPEN_ATTR_OPERATION_GENSTATS_MODE`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_GENSTATS_SQSUMDESC`|8.0.1| | | | | | | | | |`MIOPEN_ATTR_OPERATION_GENSTATS_SQSUMDESC`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_GENSTATS_SUMDESC`|8.0.1| | | | | | | | | |`MIOPEN_ATTR_OPERATION_GENSTATS_SUMDESC`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_GENSTATS_XDESC`|8.0.1| | | | | | | | | |`MIOPEN_ATTR_OPERATION_GENSTATS_XDESC`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_MATMUL_ADESC`|8.1.0| | | | | | | | | |`MIOPEN_ATTR_OPERATION_MATMUL_ADESC`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_MATMUL_BDESC`|8.1.0| | | | | | | | | |`MIOPEN_ATTR_OPERATION_MATMUL_BDESC`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_MATMUL_CDESC`|8.1.0| | | | | | | | | |`MIOPEN_ATTR_OPERATION_MATMUL_CDESC`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_MATMUL_DESC`|8.1.0| | | | | | | | | |`MIOPEN_ATTR_OPERATION_MATMUL_DESC`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_MATMUL_GEMM_K_OVERRIDE_DESC`|8.7.0| | | | | | | | | |`MIOPEN_ATTR_OPERATION_MATMUL_GEMM_K_OVERRIDE_DESC`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_MATMUL_GEMM_M_OVERRIDE_DESC`|8.7.0| | | | | | | | | |`MIOPEN_ATTR_OPERATION_MATMUL_GEMM_M_OVERRIDE_DESC`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_MATMUL_GEMM_N_OVERRIDE_DESC`|8.7.0| | | | | | | | | |`MIOPEN_ATTR_OPERATION_MATMUL_GEMM_N_OVERRIDE_DESC`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_MATMUL_IRREGULARLY_STRIDED_BATCH_COUNT`|8.1.0|9.0.0| | | | | | | | |`MIOPEN_ATTR_OPERATION_MATMUL_IRREGULARLY_STRIDED_BATCH_COUNT`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_NORM_BWD_DBIAS_DESC`|8.5.0| | | | | | | | | |`MIOPEN_ATTR_OPERATION_NORM_BWD_DBIAS_DESC`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_NORM_BWD_DSCALE_DESC`|8.5.0| | | | | | | | | |`MIOPEN_ATTR_OPERATION_NORM_BWD_DSCALE_DESC`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_NORM_BWD_DXDESC`|8.5.0| | | | | | | | | |`MIOPEN_ATTR_OPERATION_NORM_BWD_DXDESC`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_NORM_BWD_DYDESC`|8.5.0| | | | | | | | | |`MIOPEN_ATTR_OPERATION_NORM_BWD_DYDESC`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_NORM_BWD_EPSILON_DESC`|8.5.0| | | | | | | | | |`MIOPEN_ATTR_OPERATION_NORM_BWD_EPSILON_DESC`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_NORM_BWD_INV_VARIANCE_DESC`|8.5.0| | | | | | | | | |`MIOPEN_ATTR_OPERATION_NORM_BWD_INV_VARIANCE_DESC`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_NORM_BWD_MEAN_DESC`|8.5.0| | | | | | | | | |`MIOPEN_ATTR_OPERATION_NORM_BWD_MEAN_DESC`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_NORM_BWD_MODE`|8.5.0| | | | | | | | | |`MIOPEN_ATTR_OPERATION_NORM_BWD_MODE`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_NORM_BWD_PEER_STAT_DESCS`|8.5.0| | | | | | | | | |`MIOPEN_ATTR_OPERATION_NORM_BWD_PEER_STAT_DESCS`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_NORM_BWD_SCALE_DESC`|8.5.0| | | | | | | | | |`MIOPEN_ATTR_OPERATION_NORM_BWD_SCALE_DESC`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_NORM_BWD_XDESC`|8.5.0| | | | | | | | | |`MIOPEN_ATTR_OPERATION_NORM_BWD_XDESC`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_NORM_FWD_BIAS_DESC`|8.5.0| | | | | | | | | |`MIOPEN_ATTR_OPERATION_NORM_FWD_BIAS_DESC`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_NORM_FWD_EPSILON_DESC`|8.5.0| | | | | | | | | |`MIOPEN_ATTR_OPERATION_NORM_FWD_EPSILON_DESC`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_NORM_FWD_EXP_AVG_FACTOR_DESC`|8.5.0| | | | | | | | | |`MIOPEN_ATTR_OPERATION_NORM_FWD_EXP_AVG_FACTOR_DESC`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_NORM_FWD_INPUT_RUNNING_MEAN_DESC`|8.5.0| | | | | | | | | |`MIOPEN_ATTR_OPERATION_NORM_FWD_INPUT_RUNNING_MEAN_DESC`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_NORM_FWD_INPUT_RUNNING_VAR_DESC`|8.5.0| | | | | | | | | |`MIOPEN_ATTR_OPERATION_NORM_FWD_INPUT_RUNNING_VAR_DESC`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_NORM_FWD_INV_VARIANCE_DESC`|8.5.0| | | | | | | | | |`MIOPEN_ATTR_OPERATION_NORM_FWD_INV_VARIANCE_DESC`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_NORM_FWD_MEAN_DESC`|8.5.0| | | | | | | | | |`MIOPEN_ATTR_OPERATION_NORM_FWD_MEAN_DESC`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_NORM_FWD_MODE`|8.5.0| | | | | | | | | |`MIOPEN_ATTR_OPERATION_NORM_FWD_MODE`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_NORM_FWD_OUTPUT_RUNNING_MEAN_DESC`|8.5.0| | | | | | | | | |`MIOPEN_ATTR_OPERATION_NORM_FWD_OUTPUT_RUNNING_MEAN_DESC`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_NORM_FWD_OUTPUT_RUNNING_VAR_DESC`|8.5.0| | | | | | | | | |`MIOPEN_ATTR_OPERATION_NORM_FWD_OUTPUT_RUNNING_VAR_DESC`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_NORM_FWD_PEER_STAT_DESCS`|8.5.0| | | | | | | | | |`MIOPEN_ATTR_OPERATION_NORM_FWD_PEER_STAT_DESCS`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_NORM_FWD_PHASE`|8.5.0| | | | | | | | | |`MIOPEN_ATTR_OPERATION_NORM_FWD_PHASE`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_NORM_FWD_SCALE_DESC`|8.5.0| | | | | | | | | |`MIOPEN_ATTR_OPERATION_NORM_FWD_SCALE_DESC`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_NORM_FWD_XDESC`|8.5.0| | | | | | | | | |`MIOPEN_ATTR_OPERATION_NORM_FWD_XDESC`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_NORM_FWD_YDESC`|8.5.0| | | | | | | | | |`MIOPEN_ATTR_OPERATION_NORM_FWD_YDESC`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_PAGED_CACHE_LOAD_CONTAINER_DESC`|9.4.0| | | | | | | | | | | | | | | |
|`CUDNN_ATTR_OPERATION_PAGED_CACHE_LOAD_PAGE_TABLE_DESC`|9.4.0| | | | | | | | | | | | | | | |
|`CUDNN_ATTR_OPERATION_PAGED_CACHE_LOAD_SEQUENCE_DESC`|9.4.0| | | | | | | | | | | | | | | |
|`CUDNN_ATTR_OPERATION_PAGED_CACHE_LOAD_YDESC`|9.4.0| | | | | | | | | | | | | | | |
|`CUDNN_ATTR_OPERATION_POINTWISE_ALPHA1`|8.0.1| | | | | | | | | |`MIOPEN_ATTR_OPERATION_POINTWISE_ALPHA1`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_POINTWISE_ALPHA2`|8.0.1| | | | | | | | | |`MIOPEN_ATTR_OPERATION_POINTWISE_ALPHA2`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_POINTWISE_BDESC`|8.0.1| | | | | | | | | |`MIOPEN_ATTR_OPERATION_POINTWISE_BDESC`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_POINTWISE_DXDESC`|8.1.0| | | | | | | | | |`MIOPEN_ATTR_OPERATION_POINTWISE_DXDESC`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_POINTWISE_DYDESC`|8.1.0| | | | | | | | | |`MIOPEN_ATTR_OPERATION_POINTWISE_DYDESC`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_POINTWISE_PW_DESCRIPTOR`|8.0.1| | | | | | | | | |`MIOPEN_ATTR_OPERATION_POINTWISE_PW_DESCRIPTOR`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_POINTWISE_TDESC`|8.3.0| | | | | | | | | |`MIOPEN_ATTR_OPERATION_POINTWISE_TDESC`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_POINTWISE_XDESC`|8.0.1| | | | | | | | | |`MIOPEN_ATTR_OPERATION_POINTWISE_XDESC`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_POINTWISE_YDESC`|8.0.1| | | | | | | | | |`MIOPEN_ATTR_OPERATION_POINTWISE_YDESC`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_REDUCTION_DESC`|8.1.0| | | | | | | | | |`MIOPEN_ATTR_OPERATION_REDUCTION_DESC`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_REDUCTION_XDESC`|8.1.0| | | | | | | | | |`MIOPEN_ATTR_OPERATION_REDUCTION_XDESC`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_REDUCTION_YDESC`|8.1.0| | | | | | | | | |`MIOPEN_ATTR_OPERATION_REDUCTION_YDESC`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_RESAMPLE_BWD_ALPHA`|8.3.0|9.0.0| | | | | | | | |`MIOPEN_ATTR_OPERATION_RESAMPLE_BWD_ALPHA`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_RESAMPLE_BWD_BETA`|8.3.0|9.0.0| | | | | | | | |`MIOPEN_ATTR_OPERATION_RESAMPLE_BWD_BETA`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_RESAMPLE_BWD_DESC`|8.3.0| | | | | | | | | |`MIOPEN_ATTR_OPERATION_RESAMPLE_BWD_DESC`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_RESAMPLE_BWD_DXDESC`|8.3.0| | | | | | | | | |`MIOPEN_ATTR_OPERATION_RESAMPLE_BWD_DXDESC`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_RESAMPLE_BWD_DYDESC`|8.3.0| | | | | | | | | |`MIOPEN_ATTR_OPERATION_RESAMPLE_BWD_DYDESC`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_RESAMPLE_BWD_IDXDESC`|8.3.0| | | | | | | | | |`MIOPEN_ATTR_OPERATION_RESAMPLE_BWD_IDXDESC`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_RESAMPLE_BWD_XDESC`|8.7.0| | | | | | | | | |`MIOPEN_ATTR_OPERATION_RESAMPLE_BWD_XDESC`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_RESAMPLE_BWD_YDESC`|8.7.0| | | | | | | | | |`MIOPEN_ATTR_OPERATION_RESAMPLE_BWD_YDESC`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_RESAMPLE_FWD_ALPHA`|8.3.0|9.0.0| | | | | | | | |`MIOPEN_ATTR_OPERATION_RESAMPLE_FWD_ALPHA`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_RESAMPLE_FWD_BETA`|8.3.0|9.0.0| | | | | | | | |`MIOPEN_ATTR_OPERATION_RESAMPLE_FWD_BETA`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_RESAMPLE_FWD_DESC`|8.3.0| | | | | | | | | |`MIOPEN_ATTR_OPERATION_RESAMPLE_FWD_DESC`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_RESAMPLE_FWD_IDXDESC`|8.3.0| | | | | | | | | |`MIOPEN_ATTR_OPERATION_RESAMPLE_FWD_IDXDESC`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_RESAMPLE_FWD_XDESC`|8.3.0| | | | | | | | | |`MIOPEN_ATTR_OPERATION_RESAMPLE_FWD_XDESC`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_RESAMPLE_FWD_YDESC`|8.3.0| | | | | | | | | |`MIOPEN_ATTR_OPERATION_RESAMPLE_FWD_YDESC`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_RESHAPE_XDESC`|8.7.0| | | | | | | | | |`MIOPEN_ATTR_OPERATION_RESHAPE_XDESC`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_RESHAPE_YDESC`|8.7.0| | | | | | | | | |`MIOPEN_ATTR_OPERATION_RESHAPE_YDESC`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_RNG_DESC`|8.7.0| | | | | | | | | |`MIOPEN_ATTR_OPERATION_RNG_DESC`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_RNG_OFFSET_DESC`|8.8.0| | | | | | | | | |`MIOPEN_ATTR_OPERATION_RNG_OFFSET_DESC`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_RNG_SEED`|8.7.0| | | | | | | | | |`MIOPEN_ATTR_OPERATION_RNG_SEED`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_RNG_YDESC`|8.7.0| | | | | | | | | |`MIOPEN_ATTR_OPERATION_RNG_YDESC`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_SIGNAL_FLAGDESC`|8.5.0| | | | | | | | | |`MIOPEN_ATTR_OPERATION_SIGNAL_FLAGDESC`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_SIGNAL_MODE`|8.5.0| | | | | | | | | |`MIOPEN_ATTR_OPERATION_SIGNAL_MODE`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_SIGNAL_VALUE`|8.5.0| | | | | | | | | |`MIOPEN_ATTR_OPERATION_SIGNAL_VALUE`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_SIGNAL_XDESC`|8.5.0| | | | | | | | | |`MIOPEN_ATTR_OPERATION_SIGNAL_XDESC`|6.2.0| | | | |
|`CUDNN_ATTR_OPERATION_SIGNAL_YDESC`|8.5.0| | | | | | | | | |`MIOPEN_ATTR_OPERATION_SIGNAL_YDESC`|6.2.0| | | | |
|`CUDNN_ATTR_POINTWISE_AXIS`|8.4.0| | | | | | | | | |`MIOPEN_ATTR_POINTWISE_AXIS`|6.2.0| | | | |
|`CUDNN_ATTR_POINTWISE_ELU_ALPHA`|8.1.0| | | | | | | | | |`MIOPEN_ATTR_POINTWISE_ELU_ALPHA`|6.2.0| | | | |
|`CUDNN_ATTR_POINTWISE_MATH_PREC`|8.0.1| | | | | | | | | |`MIOPEN_ATTR_POINTWISE_MATH_PREC`|6.2.0| | | | |
|`CUDNN_ATTR_POINTWISE_MODE`|8.0.1| | | | | | | | | |`MIOPEN_ATTR_POINTWISE_MODE`|6.2.0| | | | |
|`CUDNN_ATTR_POINTWISE_NAN_PROPAGATION`|8.0.1| | | | | | | | | |`MIOPEN_ATTR_POINTWISE_NAN_PROPAGATION`|6.2.0| | | | |
|`CUDNN_ATTR_POINTWISE_RELU_LOWER_CLIP`|8.0.1| | | | | | | | | |`MIOPEN_ATTR_POINTWISE_RELU_LOWER_CLIP`|6.2.0| | | | |
|`CUDNN_ATTR_POINTWISE_RELU_LOWER_CLIP_SLOPE`|8.1.0| | | | | | | | | |`MIOPEN_ATTR_POINTWISE_RELU_LOWER_CLIP_SLOPE`|6.2.0| | | | |
|`CUDNN_ATTR_POINTWISE_RELU_UPPER_CLIP`|8.0.1| | | | | | | | | |`MIOPEN_ATTR_POINTWISE_RELU_UPPER_CLIP`|6.2.0| | | | |
|`CUDNN_ATTR_POINTWISE_SOFTPLUS_BETA`|8.1.0| | | | | | | | | |`MIOPEN_ATTR_POINTWISE_SOFTPLUS_BETA`|6.2.0| | | | |
|`CUDNN_ATTR_POINTWISE_SWISH_BETA`|8.1.0| | | | | | | | | |`MIOPEN_ATTR_POINTWISE_SWISH_BETA`|6.2.0| | | | |
|`CUDNN_ATTR_REDUCTION_COMP_TYPE`|8.1.0| | | | | | | | | |`MIOPEN_ATTR_REDUCTION_COMP_TYPE`|6.2.0| | | | |
|`CUDNN_ATTR_REDUCTION_OPERATOR`|8.1.0| | | | | | | | | |`MIOPEN_ATTR_REDUCTION_OPERATOR`|6.2.0| | | | |
|`CUDNN_ATTR_RESAMPLE_COMP_TYPE`|8.3.0| | | | | | | | | |`MIOPEN_ATTR_RESAMPLE_COMP_TYPE`|6.2.0| | | | |
|`CUDNN_ATTR_RESAMPLE_MODE`|8.3.0| | | | | | | | | |`MIOPEN_ATTR_RESAMPLE_MODE`|6.2.0| | | | |
|`CUDNN_ATTR_RESAMPLE_NAN_PROPAGATION`|8.3.0| | | | | | | | | |`MIOPEN_ATTR_RESAMPLE_NAN_PROPAGATION`|6.2.0| | | | |
|`CUDNN_ATTR_RESAMPLE_PADDING_MODE`|8.3.0| | | | | | | | | |`MIOPEN_ATTR_RESAMPLE_PADDING_MODE`|6.2.0| | | | |
|`CUDNN_ATTR_RESAMPLE_POST_PADDINGS`|8.3.0| | | | | | | | | |`MIOPEN_ATTR_RESAMPLE_POST_PADDINGS`|6.2.0| | | | |
|`CUDNN_ATTR_RESAMPLE_PRE_PADDINGS`|8.3.0| | | | | | | | | |`MIOPEN_ATTR_RESAMPLE_PRE_PADDINGS`|6.2.0| | | | |
|`CUDNN_ATTR_RESAMPLE_SPATIAL_DIMS`|8.3.0| | | | | | | | | |`MIOPEN_ATTR_RESAMPLE_SPATIAL_DIMS`|6.2.0| | | | |
|`CUDNN_ATTR_RESAMPLE_STRIDES`|8.3.0| | | | | | | | | |`MIOPEN_ATTR_RESAMPLE_STRIDES`|6.2.0| | | | |
|`CUDNN_ATTR_RESAMPLE_WINDOW_DIMS`|8.3.0| | | | | | | | | |`MIOPEN_ATTR_RESAMPLE_WINDOW_DIMS`|6.2.0| | | | |
|`CUDNN_ATTR_RNG_BERNOULLI_DIST_PROBABILITY`|8.7.0| | | | | | | | | |`MIOPEN_ATTR_RNG_BERNOULLI_DIST_PROBABILITY`|6.2.0| | | | |
|`CUDNN_ATTR_RNG_DISTRIBUTION`|8.7.0| | | | | | | | | |`MIOPEN_ATTR_RNG_DISTRIBUTION`|6.2.0| | | | |
|`CUDNN_ATTR_RNG_NORMAL_DIST_MEAN`|8.7.0| | | | | | | | | |`MIOPEN_ATTR_RNG_NORMAL_DIST_MEAN`|6.2.0| | | | |
|`CUDNN_ATTR_RNG_NORMAL_DIST_STANDARD_DEVIATION`|8.7.0| | | | | | | | | |`MIOPEN_ATTR_RNG_NORMAL_DIST_STANDARD_DEVIATION`|6.2.0| | | | |
|`CUDNN_ATTR_RNG_UNIFORM_DIST_MAXIMUM`|8.7.0| | | | | | | | | |`MIOPEN_ATTR_RNG_UNIFORM_DIST_MAXIMUM`|6.2.0| | | | |
|`CUDNN_ATTR_RNG_UNIFORM_DIST_MINIMUM`|8.7.0| | | | | | | | | |`MIOPEN_ATTR_RNG_UNIFORM_DIST_MINIMUM`|6.2.0| | | | |
|`CUDNN_ATTR_TENSOR_BYTE_ALIGNMENT`|8.0.1| | | | | | | | | |`MIOPEN_ATTR_TENSOR_BYTE_ALIGNMENT`|6.2.0| | | | |
|`CUDNN_ATTR_TENSOR_DATA_TYPE`|8.0.1| | | | | | | | | |`MIOPEN_ATTR_TENSOR_DATA_TYPE`|6.2.0| | | | |
|`CUDNN_ATTR_TENSOR_DIMENSIONS`|8.0.1| | | | | | | | | |`MIOPEN_ATTR_TENSOR_DIMENSIONS`|6.2.0| | | | |
|`CUDNN_ATTR_TENSOR_IS_BY_VALUE`|8.1.0| | | | | | | | | |`MIOPEN_ATTR_TENSOR_IS_BY_VALUE`|6.2.0| | | | |
|`CUDNN_ATTR_TENSOR_IS_VIRTUAL`|8.0.1| | | | | | | | | |`MIOPEN_ATTR_TENSOR_IS_VIRTUAL`|6.2.0| | | | |
|`CUDNN_ATTR_TENSOR_RAGGED_OFFSET_DESC`|8.9.0| | | | | | | | | |`MIOPEN_ATTR_TENSOR_RAGGED_OFFSET_DESC`|6.2.0| | | | |
|`CUDNN_ATTR_TENSOR_REORDERING_MODE`|8.3.0| | | | | | | | | |`MIOPEN_ATTR_TENSOR_REORDERING_MODE`|6.2.0| | | | |
|`CUDNN_ATTR_TENSOR_STRIDES`|8.0.1| | | | | | | | | |`MIOPEN_ATTR_TENSOR_STRIDES`|6.2.0| | | | |
|`CUDNN_ATTR_TENSOR_UNIQUE_ID`|8.0.1| | | | | | | | | |`MIOPEN_ATTR_TENSOR_UNIQUE_ID`|6.2.0| | | | |
|`CUDNN_ATTR_TENSOR_VECTORIZED_DIMENSION`|8.0.1| | | | | | | | | |`MIOPEN_ATTR_TENSOR_VECTORIZED_DIMENSION`|6.2.0| | | | |
|`CUDNN_ATTR_TENSOR_VECTOR_COUNT`|8.0.1| | | | | | | | | |`MIOPEN_ATTR_TENSOR_VECTOR_COUNT`|6.2.0| | | | |
|`CUDNN_ATTR_VARIANT_PACK_DATA_POINTERS`|8.0.1| | | | | | | | | |`MIOPEN_ATTR_VARIANT_PACK_DATA_POINTERS`|6.2.0| | | | |
|`CUDNN_ATTR_VARIANT_PACK_INTERMEDIATES`|8.0.1| | | | | | | | | |`MIOPEN_ATTR_VARIANT_PACK_INTERMEDIATES`|6.2.0| | | | |
|`CUDNN_ATTR_VARIANT_PACK_UNIQUE_IDS`|8.0.1| | | | | | | | | |`MIOPEN_ATTR_VARIANT_PACK_UNIQUE_IDS`|6.2.0| | | | |
|`CUDNN_ATTR_VARIANT_PACK_WORKSPACE`|8.0.1| | | | | | | | | |`MIOPEN_ATTR_VARIANT_PACK_WORKSPACE`|6.2.0| | | | |
|`CUDNN_BACKEND_CONVOLUTION_DESCRIPTOR`|8.0.1| | | | | | | | | |`MIOPEN_BACKEND_CONVOLUTION_DESCRIPTOR`|6.2.0| | | | |
|`CUDNN_BACKEND_ENGINECFG_DESCRIPTOR`|8.0.1| | | | | | | | | |`MIOPEN_BACKEND_ENGINECFG_DESCRIPTOR`|6.2.0| | | | |
|`CUDNN_BACKEND_ENGINEHEUR_DESCRIPTOR`|8.0.1| | | | | | | | | |`MIOPEN_BACKEND_ENGINEHEUR_DESCRIPTOR`|6.2.0| | | | |
|`CUDNN_BACKEND_ENGINE_DESCRIPTOR`|8.0.1| | | | | | | | | |`MIOPEN_BACKEND_ENGINE_DESCRIPTOR`|6.2.0| | | | |
|`CUDNN_BACKEND_EXECUTION_PLAN_DESCRIPTOR`|8.0.1| | | | | | | | | |`MIOPEN_BACKEND_EXECUTION_PLAN_DESCRIPTOR`|6.2.0| | | | |
|`CUDNN_BACKEND_INTERMEDIATE_INFO_DESCRIPTOR`|8.0.1| | | | | | | | | |`MIOPEN_BACKEND_INTERMEDIATE_INFO_DESCRIPTOR`|6.2.0| | | | |
|`CUDNN_BACKEND_KERNEL_CACHE_DESCRIPTOR`|9.4.0| | | | | | | | | | | | | | | |
|`CUDNN_BACKEND_KNOB_CHOICE_DESCRIPTOR`|8.0.1| | | | | | | | | |`MIOPEN_BACKEND_KNOB_CHOICE_DESCRIPTOR`|6.2.0| | | | |
|`CUDNN_BACKEND_KNOB_INFO_DESCRIPTOR`|8.0.1| | | | | | | | | |`MIOPEN_BACKEND_KNOB_INFO_DESCRIPTOR`|6.2.0| | | | |
|`CUDNN_BACKEND_LAYOUT_INFO_DESCRIPTOR`|8.0.1| | | | | | | | | |`MIOPEN_BACKEND_LAYOUT_INFO_DESCRIPTOR`|6.2.0| | | | |
|`CUDNN_BACKEND_MATMUL_DESCRIPTOR`|8.1.0| | | | | | | | | |`MIOPEN_BACKEND_MATMUL_DESCRIPTOR`|6.2.0| | | | |
|`CUDNN_BACKEND_OPERATIONGRAPH_DESCRIPTOR`|8.0.1| | | | | | | | | |`MIOPEN_BACKEND_OPERATIONGRAPH_DESCRIPTOR`|6.2.0| | | | |
|`CUDNN_BACKEND_OPERATION_BN_BWD_WEIGHTS_DESCRIPTOR`|8.2.0| | | | | | | | | | | | | | | |
|`CUDNN_BACKEND_OPERATION_BN_FINALIZE_STATISTICS_DESCRIPTOR`|8.1.0| | | | | | | | | | | | | | | |
|`CUDNN_BACKEND_OPERATION_CONCAT_DESCRIPTOR`|8.5.0| | | | | | | | | |`MIOPEN_BACKEND_OPERATION_CONCAT_DESCRIPTOR`|6.2.0| | | | |
|`CUDNN_BACKEND_OPERATION_CONVOLUTION_BACKWARD_DATA_DESCRIPTOR`|8.0.1| | | | | | | | | |`MIOPEN_BACKEND_OPERATION_CONVOLUTION_BACKWARD_DATA_DESCRIPTOR`|6.2.0| | | | |
|`CUDNN_BACKEND_OPERATION_CONVOLUTION_BACKWARD_FILTER_DESCRIPTOR`|8.0.1| | | | | | | | | |`MIOPEN_BACKEND_OPERATION_CONVOLUTION_BACKWARD_FILTER_DESCRIPTOR`|6.2.0| | | | |
|`CUDNN_BACKEND_OPERATION_CONVOLUTION_FORWARD_DESCRIPTOR`|8.0.1| | | | | | | | | |`MIOPEN_BACKEND_OPERATION_CONVOLUTION_FORWARD_DESCRIPTOR`|6.2.0| | | | |
|`CUDNN_BACKEND_OPERATION_GEN_STATS_DESCRIPTOR`|8.0.1| | | | | | | | | |`MIOPEN_BACKEND_OPERATION_GEN_STATS_DESCRIPTOR`|6.2.0| | | | |
|`CUDNN_BACKEND_OPERATION_MATMUL_DESCRIPTOR`|8.1.0| | | | | | | | | |`MIOPEN_BACKEND_OPERATION_MATMUL_DESCRIPTOR`|6.2.0| | | | |
|`CUDNN_BACKEND_OPERATION_NORM_BACKWARD_DESCRIPTOR`|8.5.0| | | | | | | | | |`MIOPEN_BACKEND_OPERATION_NORM_BACKWARD_DESCRIPTOR`|6.2.0| | | | |
|`CUDNN_BACKEND_OPERATION_NORM_FORWARD_DESCRIPTOR`|8.5.0| | | | | | | | | |`MIOPEN_BACKEND_OPERATION_NORM_FORWARD_DESCRIPTOR`|6.2.0| | | | |
|`CUDNN_BACKEND_OPERATION_PAGED_CACHE_LOAD_DESCRIPTOR`|9.4.0| | | | | | | | | | | | | | | |
|`CUDNN_BACKEND_OPERATION_POINTWISE_DESCRIPTOR`|8.0.1| | | | | | | | | |`MIOPEN_BACKEND_OPERATION_POINTWISE_DESCRIPTOR`|6.2.0| | | | |
|`CUDNN_BACKEND_OPERATION_REDUCTION_DESCRIPTOR`|8.1.0| | | | | | | | | |`MIOPEN_BACKEND_OPERATION_REDUCTION_DESCRIPTOR`|6.2.0| | | | |
|`CUDNN_BACKEND_OPERATION_RESAMPLE_BWD_DESCRIPTOR`|8.3.0| | | | | | | | | |`MIOPEN_BACKEND_OPERATION_RESAMPLE_BWD_DESCRIPTOR`|6.2.0| | | | |
|`CUDNN_BACKEND_OPERATION_RESAMPLE_FWD_DESCRIPTOR`|8.3.0| | | | | | | | | |`MIOPEN_BACKEND_OPERATION_RESAMPLE_FWD_DESCRIPTOR`|6.2.0| | | | |
|`CUDNN_BACKEND_OPERATION_RESHAPE_DESCRIPTOR`|8.7.0| | | | | | | | | | | | | | | |
|`CUDNN_BACKEND_OPERATION_RNG_DESCRIPTOR`|8.7.0| | | | | | | | | |`MIOPEN_BACKEND_OPERATION_RNG_DESCRIPTOR`|6.2.0| | | | |
|`CUDNN_BACKEND_OPERATION_SIGNAL_DESCRIPTOR`|8.5.0| | | | | | | | | |`MIOPEN_BACKEND_OPERATION_SIGNAL_DESCRIPTOR`|6.2.0| | | | |
|`CUDNN_BACKEND_POINTWISE_DESCRIPTOR`|8.0.1| | | | | | | | | |`MIOPEN_BACKEND_POINTWISE_DESCRIPTOR`|6.2.0| | | | |
|`CUDNN_BACKEND_REDUCTION_DESCRIPTOR`|8.1.0| | | | | | | | | |`MIOPEN_BACKEND_REDUCTION_DESCRIPTOR`|6.2.0| | | | |
|`CUDNN_BACKEND_RESAMPLE_DESCRIPTOR`|8.3.0| | | | | | | | | |`MIOPEN_BACKEND_RESAMPLE_DESCRIPTOR`|6.2.0| | | | |
|`CUDNN_BACKEND_RNG_DESCRIPTOR`|8.7.0| | | | | | | | | |`MIOPEN_BACKEND_RNG_DESCRIPTOR`|6.2.0| | | | |
|`CUDNN_BACKEND_TENSOR_DESCRIPTOR`|8.0.1| | | | | | | | | |`MIOPEN_BACKEND_TENSOR_DESCRIPTOR`|6.2.0| | | | |
|`CUDNN_BACKEND_VARIANT_PACK_DESCRIPTOR`|8.0.1| | | | | | | | | |`MIOPEN_BACKEND_VARIANT_PACK_DESCRIPTOR`|6.2.0| | | | |
|`CUDNN_BATCHNORM_OPS_BN`|7.4.1|9.0.0| | | | | | | | | | | | | | |
|`CUDNN_BATCHNORM_OPS_BN_ACTIVATION`|7.4.1|9.0.0| | | | | | | | | | | | | | |
|`CUDNN_BATCHNORM_OPS_BN_ADD_ACTIVATION`|7.4.1|9.0.0| | | | | | | | | | | | | | |
|`CUDNN_BATCHNORM_PER_ACTIVATION`|4.0.0|9.0.0| | |`HIPDNN_BATCHNORM_PER_ACTIVATION`| | | | | |`miopenBNPerActivation`|2.1.0| | | | |
|`CUDNN_BATCHNORM_SPATIAL`|4.0.0|9.0.0| | |`HIPDNN_BATCHNORM_SPATIAL`| | | | | |`miopenBNSpatial`|2.1.0| | | | |
|`CUDNN_BATCHNORM_SPATIAL_PERSISTENT`|7.0.5|9.0.0| | |`HIPDNN_BATCHNORM_SPATIAL_PERSISTENT`| | | | | | | | | | | |
|`CUDNN_BATCH_NORM`|8.5.0| | | | | | | | | | | | | | | |
|`CUDNN_BEHAVIOR_NOTE_REQUIRES_BIAS_INT8x32_REORDER`|8.3.0| | | | | | | | | | | | | | | |
|`CUDNN_BEHAVIOR_NOTE_REQUIRES_FILTER_INT8x32_REORDER`|8.3.0| | | | | | | | | | | | | | | |
|`CUDNN_BEHAVIOR_NOTE_RUNTIME_COMPILATION`|8.2.0| | | | | | | | | | | | | | | |
|`CUDNN_BEHAVIOR_NOTE_SUPPORTS_CUDA_GRAPH_NATIVE_API`|9.5.0| | | | | | | | | | | | | | | |
|`CUDNN_BEHAVIOR_NOTE_TYPE_COUNT`|8.2.0| | | | | | | | | | | | | | | |
|`CUDNN_BIDIRECTIONAL`|5.0.0| | | |`HIPDNN_BIDIRECTIONAL`| | | | | |`miopenRNNbidirection`|2.1.0| | | | |
|`CUDNN_BN_FINALIZE_STATISTICS_INFERENCE`|8.1.0| | | | | | | | | | | | | | | |
|`CUDNN_BN_FINALIZE_STATISTICS_TRAINING`|8.1.0| | | | | | | | | | | | | | | |
|`CUDNN_BN_MIN_EPSILON`|4.0.0| | | |`HIPDNN_BN_MIN_EPSILON`| | | | | | | | | | | |
|`CUDNN_CONVOLUTION`|1.0.0|9.0.0| | |`HIPDNN_CONVOLUTION`| | | | | |`miopenConvolution`|2.1.0| | | | |
|`CUDNN_CONVOLUTION_BWD_DATA_ALGO_0`|3.0.0| | | |`HIPDNN_CONVOLUTION_BWD_DATA_ALGO_0`| | | | | |`miopenConvolutionBwdDataAlgoGEMM`|2.1.0| | | | |
|`CUDNN_CONVOLUTION_BWD_DATA_ALGO_1`|3.0.0| | | |`HIPDNN_CONVOLUTION_BWD_DATA_ALGO_1`| | | | | |`miopenConvolutionBwdDataAlgoDirect`|2.1.0| | | | |
|`CUDNN_CONVOLUTION_BWD_DATA_ALGO_COUNT`|6.0.0| | | |`HIPDNN_CONVOLUTION_BWD_DATA_ALGO_TRANSPOSE_GEMM`| | | | | |`miopenTransposeBwdDataAlgoGEMM`|2.1.0| | | | |
|`CUDNN_CONVOLUTION_BWD_DATA_ALGO_FFT`|3.0.0| | | |`HIPDNN_CONVOLUTION_BWD_DATA_ALGO_FFT`| | | | | |`miopenConvolutionBwdDataAlgoFFT`|2.1.0| | | | |
|`CUDNN_CONVOLUTION_BWD_DATA_ALGO_FFT_TILING`|4.0.0| | | |`HIPDNN_CONVOLUTION_BWD_DATA_ALGO_FFT_TILING`| | | | | | | | | | | |
|`CUDNN_CONVOLUTION_BWD_DATA_ALGO_WINOGRAD`|5.0.0| | | |`HIPDNN_CONVOLUTION_BWD_DATA_ALGO_WINOGRAD`| | | | | |`miopenConvolutionBwdDataAlgoWinograd`|2.1.0| | | | |
|`CUDNN_CONVOLUTION_BWD_DATA_ALGO_WINOGRAD_NONFUSED`|5.1.0| | | |`HIPDNN_CONVOLUTION_BWD_DATA_ALGO_WINOGRAD_NONFUSED`| | | | | | | | | | | |
|`CUDNN_CONVOLUTION_BWD_DATA_NO_WORKSPACE`|3.0.0|7.6.5| |8.0.1|`HIPDNN_CONVOLUTION_BWD_DATA_NO_WORKSPACE`| | | | | | | | | | | |
|`CUDNN_CONVOLUTION_BWD_DATA_PREFER_FASTEST`|3.0.0|7.6.5| |8.0.1|`HIPDNN_CONVOLUTION_BWD_DATA_PREFER_FASTEST`| | | | | | | | | | | |
|`CUDNN_CONVOLUTION_BWD_DATA_SPECIFY_WORKSPACE_LIMIT`|3.0.0|7.6.5| |8.0.1|`HIPDNN_CONVOLUTION_BWD_DATA_SPECIFY_WORKSPACE_LIMIT`| | | | | | | | | | | |
|`CUDNN_CONVOLUTION_BWD_FILTER_ALGO_0`|3.0.0| | | |`HIPDNN_CONVOLUTION_BWD_FILTER_ALGO_0`| | | | | | | | | | | |
|`CUDNN_CONVOLUTION_BWD_FILTER_ALGO_1`|3.0.0| | | |`HIPDNN_CONVOLUTION_BWD_FILTER_ALGO_1`| | | | | | | | | | | |
|`CUDNN_CONVOLUTION_BWD_FILTER_ALGO_3`|3.0.0| | | |`HIPDNN_CONVOLUTION_BWD_FILTER_ALGO_3`| | | | | | | | | | | |
|`CUDNN_CONVOLUTION_BWD_FILTER_ALGO_COUNT`|6.0.0| | | |`HIPDNN_CONVOLUTION_BWD_FILTER_ALGO_COUNT`| | | | | | | | | | | |
|`CUDNN_CONVOLUTION_BWD_FILTER_ALGO_FFT`|3.0.0| | | |`HIPDNN_CONVOLUTION_BWD_FILTER_ALGO_FFT`| | | | | | | | | | | |
|`CUDNN_CONVOLUTION_BWD_FILTER_ALGO_FFT_TILING`|6.0.0| | | |`HIPDNN_CONVOLUTION_BWD_FILTER_ALGO_FFT_TILING`| | | | | | | | | | | |
|`CUDNN_CONVOLUTION_BWD_FILTER_ALGO_WINOGRAD`|5.1.0| | | |`HIPDNN_CONVOLUTION_BWD_FILTER_ALGO_WINOGRAD`| | | | | | | | | | | |
|`CUDNN_CONVOLUTION_BWD_FILTER_ALGO_WINOGRAD_NONFUSED`|5.1.0| | | |`HIPDNN_CONVOLUTION_BWD_FILTER_ALGO_WINOGRAD_NONFUSED`| | | | | | | | | | | |
|`CUDNN_CONVOLUTION_BWD_FILTER_NO_WORKSPACE`|3.0.0|7.6.5| |8.0.1|`HIPDNN_CONVOLUTION_BWD_FILTER_NO_WORKSPACE`| | | | | | | | | | | |
|`CUDNN_CONVOLUTION_BWD_FILTER_PREFER_FASTEST`|3.0.0|7.6.5| |8.0.1|`HIPDNN_CONVOLUTION_BWD_FILTER_PREFER_FASTEST`| | | | | | | | | | | |
|`CUDNN_CONVOLUTION_BWD_FILTER_SPECIFY_WORKSPACE_LIMIT`|3.0.0|7.6.5| |8.0.1|`HIPDNN_CONVOLUTION_BWD_FILTER_SPECIFY_WORKSPACE_LIMIT`| | | | | | | | | | | |
|`CUDNN_CONVOLUTION_FWD_ALGO_COUNT`|6.0.0| | | |`HIPDNN_CONVOLUTION_FWD_ALGO_COUNT`| | | | | | | | | | | |
|`CUDNN_CONVOLUTION_FWD_ALGO_DIRECT`|2.0.0| | | |`HIPDNN_CONVOLUTION_FWD_ALGO_DIRECT`| | | | | |`miopenConvolutionFwdAlgoDirect`|2.1.0| | | | |
|`CUDNN_CONVOLUTION_FWD_ALGO_FFT`|3.0.0| | | |`HIPDNN_CONVOLUTION_FWD_ALGO_FFT`| | | | | |`miopenConvolutionFwdAlgoFFT`|2.1.0| | | | |
|`CUDNN_CONVOLUTION_FWD_ALGO_FFT_TILING`|4.0.0| | | |`HIPDNN_CONVOLUTION_FWD_ALGO_FFT_TILING`| | | | | | | | | | | |
|`CUDNN_CONVOLUTION_FWD_ALGO_GEMM`|2.0.0| | | |`HIPDNN_CONVOLUTION_FWD_ALGO_GEMM`| | | | | |`miopenConvolutionFwdAlgoGEMM`|2.1.0| | | | |
|`CUDNN_CONVOLUTION_FWD_ALGO_IMPLICIT_GEMM`|2.0.0| | | |`HIPDNN_CONVOLUTION_FWD_ALGO_IMPLICIT_GEMM`| | | | | |`miopenConvolutionFwdAlgoImplicitGEMM`|2.6.0| | | | |
|`CUDNN_CONVOLUTION_FWD_ALGO_IMPLICIT_PRECOMP_GEMM`|2.0.0| | | |`HIPDNN_CONVOLUTION_FWD_ALGO_IMPLICIT_PRECOMP_GEMM`| | | | | | | | | | | |
|`CUDNN_CONVOLUTION_FWD_ALGO_WINOGRAD`|5.0.0| | | |`HIPDNN_CONVOLUTION_FWD_ALGO_WINOGRAD`| | | | | |`miopenConvolutionFwdAlgoWinograd`|2.1.0| | | | |
|`CUDNN_CONVOLUTION_FWD_ALGO_WINOGRAD_NONFUSED`|5.1.0| | | |`HIPDNN_CONVOLUTION_FWD_ALGO_WINOGRAD_NONFUSED`| | | | | | | | | | | |
|`CUDNN_CONVOLUTION_FWD_NO_WORKSPACE`|2.0.0|7.6.5| |8.0.1|`HIPDNN_CONVOLUTION_FWD_NO_WORKSPACE`| | | | | | | | | | | |
|`CUDNN_CONVOLUTION_FWD_PREFER_FASTEST`|2.0.0|7.6.5| |8.0.1|`HIPDNN_CONVOLUTION_FWD_PREFER_FASTEST`| | | | | | | | | | | |
|`CUDNN_CONVOLUTION_FWD_SPECIFY_WORKSPACE_LIMIT`|2.0.0|7.6.5| |8.0.1|`HIPDNN_CONVOLUTION_FWD_SPECIFY_WORKSPACE_LIMIT`| | | | | | | | | | | |
|`CUDNN_CROSS_CORRELATION`|1.0.0|9.0.0| | |`HIPDNN_CROSS_CORRELATION`| | | | | |`miopenConvolution`|2.1.0| | | | |
|`CUDNN_CTC_LOSS_ALGO_DETERMINISTIC`|7.0.5| | | | | | | | | |`MIOPEN_CTC_LOSS_ALGO_DETERMINISTIC`|2.6.0| | | | |
|`CUDNN_CTC_LOSS_ALGO_NON_DETERMINISTIC`|7.0.5| | | | | | | | | | | | | | | |
|`CUDNN_CTC_SKIP_OOB_GRADIENTS`|9.0.0| | | | | | | | | | | | | | | |
|`CUDNN_CTC_ZERO_OOB_GRADIENTS`|9.0.0| | | | | | | | | | | | | | | |
|`CUDNN_DATA_BFLOAT16`|8.1.0| | | | | | | | | |`miopenBFloat16`|2.6.0| | | | |
|`CUDNN_DATA_BOOLEAN`|8.3.0| | | | | | | | | | | | | | | |
|`CUDNN_DATA_DOUBLE`|1.0.0| | | |`HIPDNN_DATA_DOUBLE`| | | | | |`miopenDouble`|4.5.0| | | | |
|`CUDNN_DATA_FAST_FLOAT_FOR_FP8`|8.7.0| | | | | | | | | | | | | | | |
|`CUDNN_DATA_FLOAT`|1.0.0| | | |`HIPDNN_DATA_FLOAT`| | | | | |`miopenFloat`|2.1.0| | | | |
|`CUDNN_DATA_FP8_E4M3`|8.6.0| | | | | | | | | |`miopenFloat8`|6.0.0| | | | |
|`CUDNN_DATA_FP8_E5M2`|8.6.0| | | | | | | | | |`miopenBFloat8`|6.0.0| | | | |
|`CUDNN_DATA_HALF`|3.0.0| | | |`HIPDNN_DATA_HALF`| | | | | |`miopenHalf`|2.1.0| | | | |
|`CUDNN_DATA_INT32`|6.0.0| | | |`HIPDNN_DATA_INT32`| | | | | |`miopenInt32`|2.1.0| | | | |
|`CUDNN_DATA_INT64`|8.1.0| | | | | | | | | |`miopenInt64`|6.2.0| | | | |
|`CUDNN_DATA_INT8`|6.0.0| | | |`HIPDNN_DATA_INT8`| | | | | |`miopenInt8`|2.1.0| | | | |
|`CUDNN_DATA_INT8x32`|7.2.1|9.0.0| | | | | | | | | | | | | | |
|`CUDNN_DATA_INT8x4`|6.0.0|9.0.0| | |`HIPDNN_DATA_INT8x4`| | | | | |`miopenInt8x4`|2.3.0| | | | |
|`CUDNN_DATA_UINT8`|7.1.3| | | | | | | | | | | | | | | |
|`CUDNN_DATA_UINT8x4`|7.1.3|9.0.0| | | | | | | | | | | | | | |
|`CUDNN_DEFAULT_MATH`|7.0.5| | | |`HIPDNN_DEFAULT_MATH`| | | | | | | | | | | |
|`CUDNN_DEFAULT_REORDER`|7.6.0|9.0.0| | | | | | | | | | | | | | |
|`CUDNN_DETERMINISTIC`|6.0.0| | | | | | | | | | | | | | | |
|`CUDNN_DIM_MAX`|4.0.0| | | | | | | | | | | | | | | |
|`CUDNN_DIVNORM_PRECOMPUTED_MEANS`|3.0.0| | | | | | | | | | | | | | | |
|`CUDNN_EDGE_VAL_PAD`|8.3.0| | | | | | | | | |`miopenPaddingValid`|2.1.0| | | | |
|`CUDNN_ERRQUERY_BLOCKING`|7.0.5| | | | | | | | | | | | | | | |
|`CUDNN_ERRQUERY_NONBLOCKING`|7.0.5| | | | | | | | | | | | | | | |
|`CUDNN_ERRQUERY_RAWCODE`|7.0.5| | | | | | | | | | | | | | | |
|`CUDNN_FMA_MATH`|8.0.1| | | | | | | | | | | | | | | |
|`CUDNN_FUSED_BN_FINALIZE_STATISTICS_INFERENCE`|7.6.0| | | | | | | | | | | | | | | |
|`CUDNN_FUSED_BN_FINALIZE_STATISTICS_TRAINING`|7.6.0| | | | | | | | | | | | | | | |
|`CUDNN_FUSED_CONV_SCALE_BIAS_ADD_ACTIVATION`|7.6.0| | | | | | | | | | | | | | | |
|`CUDNN_FUSED_DACTIVATION_FORK_DBATCHNORM`|7.6.0| | | | | | | | | | | | | | | |
|`CUDNN_FUSED_SCALE_BIAS_ACTIVATION_CONV_BNSTATS`|7.6.0| | | | | | | | | | | | | | | |
|`CUDNN_FUSED_SCALE_BIAS_ACTIVATION_WGRAD`|7.6.0| | | | | | | | | | | | | | | |
|`CUDNN_FUSED_SCALE_BIAS_ADD_ACTIVATION_GEN_BITMASK`|7.6.0| | | | | | | | | | | | | | | |
|`CUDNN_FWD_MODE_INFERENCE`|8.0.1| | | | | | | | | |`miopenRNNInference`|6.0.0| | | | |
|`CUDNN_FWD_MODE_TRAINING`|8.0.1| | | | | | | | | |`miopenRNNTraining`|6.0.0| | | | |
|`CUDNN_GENSTATS_SUM_SQSUM`|8.0.1| | | | | | | | | | | | | | | |
|`CUDNN_GROUP_NORM`|8.5.0| | | | | | | | | | | | | | | |
|`CUDNN_GRU`|5.0.0| | | |`HIPDNN_GRU`| | | | | |`miopenGRU`|2.1.0| | | | |
|`CUDNN_HEUR_MODES_COUNT`|8.0.1| | | | | | | | | |`MIOPEN_HEUR_MODES_COUNT`|6.2.0| | | | |
|`CUDNN_HEUR_MODE_A`|8.3.0| | | | | | | | | |`MIOPEN_HEUR_MODE_A`|6.2.0| | | | |
|`CUDNN_HEUR_MODE_B`|8.0.1| | | | | | | | | |`MIOPEN_HEUR_MODE_B`|6.2.0| | | | |
|`CUDNN_HEUR_MODE_FALLBACK`|8.3.0| | | | | | | | | |`MIOPEN_HEUR_MODE_FALLBACK`|6.2.0| | | | |
|`CUDNN_HEUR_MODE_INSTANT`|8.0.1| | | | | | | | | |`MIOPEN_HEUR_MODE_INSTANT`|6.2.0| | | | |
|`CUDNN_INSTANCE_NORM`|8.5.0| | | | | | | | | | | | | | | |
|`CUDNN_KNOB_TYPE_ARRAY_SIZE_PER_THREAD`|8.9.0| | | | | | | | | | | | | | | |
|`CUDNN_KNOB_TYPE_BLOCK_SIZE`|8.8.0| | | | | | | | | | | | | | | |
|`CUDNN_KNOB_TYPE_CHUNK_K`|8.0.1|9.0.0| | | | | | | | | | | | | | |
|`CUDNN_KNOB_TYPE_COUNTS`|8.0.1| | | | | | | | | | | | | | | |
|`CUDNN_KNOB_TYPE_CTA_SPLIT_K_MODE`|8.0.1|9.0.0| | | | | | | | | | | | | | |
|`CUDNN_KNOB_TYPE_EDGE`|8.0.1| | | | | | | | | | | | | | | |
|`CUDNN_KNOB_TYPE_IDX_MODE`|8.0.1|9.0.0| | | | | | | | | | | | | | |
|`CUDNN_KNOB_TYPE_KBLOCK`|8.0.1|9.0.0| | | | | | | | | | | | | | |
|`CUDNN_KNOB_TYPE_KERNEL_CFG`|8.1.0| | | | | | | | | | | | | | | |
|`CUDNN_KNOB_TYPE_LDGA`|8.0.1|9.0.0| | | | | | | | | | | | | | |
|`CUDNN_KNOB_TYPE_LDGB`|8.0.1|9.0.0| | | | | | | | | | | | | | |
|`CUDNN_KNOB_TYPE_LDGC`|8.0.1|9.0.0| | | | | | | | | | | | | | |
|`CUDNN_KNOB_TYPE_LOAD_SIZE`|8.9.5| | | | | | | | | | | | | | | |
|`CUDNN_KNOB_TYPE_MULTIPLY`|8.0.1| | | | | | | | | | | | | | | |
|`CUDNN_KNOB_TYPE_NUM_C_PER_BLOCK`|8.9.0|9.0.0| | | | | | | | | | | | | | |
|`CUDNN_KNOB_TYPE_OCCUPANCY`|8.9.0| | | | | | | | | | | | | | | |
|`CUDNN_KNOB_TYPE_REDUCTION_MODE`|8.0.1| | | | | | | | | | | | | | | |
|`CUDNN_KNOB_TYPE_SINGLEBUFFER`|8.0.1|9.0.0| | | | | | | | | | | | | | |
|`CUDNN_KNOB_TYPE_SLICED`|8.0.1|9.0.0| | | | | | | | | | | | | | |
|`CUDNN_KNOB_TYPE_SPECFILT`|8.0.1| | | | | | | | | | | | | | | |
|`CUDNN_KNOB_TYPE_SPLIT_COLS`|8.9.5| | | | | | | | | | | | | | | |
|`CUDNN_KNOB_TYPE_SPLIT_H`|8.0.1|9.0.0| | | | | | | | | | | | | | |
|`CUDNN_KNOB_TYPE_SPLIT_K`|8.0.1|9.0.0| | | | | | | | | | | | | | |
|`CUDNN_KNOB_TYPE_SPLIT_K_BUF`|8.0.1| | | | | | | | | | | | | | | |
|`CUDNN_KNOB_TYPE_SPLIT_K_SLC`|8.0.1| | | | | | | | | | | | | | | |
|`CUDNN_KNOB_TYPE_SPLIT_RS`|8.0.1|9.0.0| | | | | | | | | | | | | | |
|`CUDNN_KNOB_TYPE_STAGES`|8.0.1| | | | | | | | | | | | | | | |
|`CUDNN_KNOB_TYPE_SWIZZLE`|8.0.1| | | | | | | | | | | | | | | |
|`CUDNN_KNOB_TYPE_TILEK`|8.0.1| | | | | | | | | | | | | | | |
|`CUDNN_KNOB_TYPE_TILE_CGA`|8.6.0|9.0.0| | | | | | | | | | | | | | |
|`CUDNN_KNOB_TYPE_TILE_CGA_M`|8.6.0| | | | | | | | | | | | | | | |
|`CUDNN_KNOB_TYPE_TILE_CGA_N`|8.6.0| | | | | | | | | | | | | | | |
|`CUDNN_KNOB_TYPE_TILE_COLS`|8.9.5| | | | | | | | | | | | | | | |
|`CUDNN_KNOB_TYPE_TILE_ROWS`|8.9.5| | | | | | | | | | | | | | | |
|`CUDNN_KNOB_TYPE_TILE_SIZE`|8.0.1| | | | | | | | | | | | | | | |
|`CUDNN_KNOB_TYPE_USE_TEX`|8.0.1|9.0.0| | | | | | | | | | | | | | |
|`CUDNN_KNOB_TYPE_WINO_TILE`|8.0.1|9.0.0| | | | | | | | | | | | | | |
|`CUDNN_KNOB_TYPE_WORKSPACE`|8.4.0| | | | | | | | | | | | | | | |
|`CUDNN_LAYER_NORM`|8.5.0| | | | | | | | | | | | | | | |
|`CUDNN_LAYOUT_TYPE_COUNT`|8.0.2| | | | | | | | | | | | | | | |
|`CUDNN_LAYOUT_TYPE_PREFERRED_NCHW`|8.0.1| | | | | | | | | | | | | | | |
|`CUDNN_LAYOUT_TYPE_PREFERRED_NHWC`|8.0.2| | | | | | | | | | | | | | | |
|`CUDNN_LAYOUT_TYPE_PREFERRED_PAD4CK`|8.0.2| | | | | | | | | | | | | | | |
|`CUDNN_LAYOUT_TYPE_PREFERRED_PAD8CK`|8.0.2| | | | | | | | | | | | | | | |
|`CUDNN_LINEAR_INPUT`|5.0.0| | | |`HIPDNN_LINEAR_INPUT`| | | | | |`miopenRNNlinear`|2.1.0| | | | |
|`CUDNN_LOSS_NORMALIZATION_NONE`|7.6.0| | | | | | | | | | | | | | | |
|`CUDNN_LOSS_NORMALIZATION_SOFTMAX`|7.6.0| | | | | | | | | | | | | | | |
|`CUDNN_LRN_CROSS_CHANNEL_DIM1`|3.0.0| | | |`HIPDNN_LRN_CROSS_CHANNEL`| | | | | |`miopenLRNCrossChannel`|2.1.0| | | | |
|`CUDNN_LRN_MAX_N`|3.0.0| | | | | | | | | | | | | | | |
|`CUDNN_LRN_MIN_BETA`|3.0.0| | | | | | | | | | | | | | | |
|`CUDNN_LRN_MIN_K`|3.0.0| | | | | | | | | | | | | | | |
|`CUDNN_LRN_MIN_N`|3.0.0| | | | | | | | | | | | | | | |
|`CUDNN_LSTM`|5.0.0| | | |`HIPDNN_LSTM`| | | | | |`miopenLSTM`|2.1.0| | | | |
|`CUDNN_MH_ATTN_K_BIASES`|7.6.3| | | | | | | | | | | | | | | |
|`CUDNN_MH_ATTN_K_WEIGHTS`|7.5.0| | | | | | | | | | | | | | | |
|`CUDNN_MH_ATTN_O_BIASES`|7.6.3| | | | | | | | | | | | | | | |
|`CUDNN_MH_ATTN_O_WEIGHTS`|7.5.0| | | | | | | | | | | | | | | |
|`CUDNN_MH_ATTN_Q_BIASES`|7.6.3| | | | | | | | | | | | | | | |
|`CUDNN_MH_ATTN_Q_WEIGHTS`|7.5.0| | | | | | | | | | | | | | | |
|`CUDNN_MH_ATTN_V_BIASES`|7.6.3| | | | | | | | | | | | | | | |
|`CUDNN_MH_ATTN_V_WEIGHTS`|7.5.0| | | | | | | | | | | | | | | |
|`CUDNN_NEG_INF_PAD`|8.3.0| | | | | | | | | |`miopenPaddingSame`|2.1.0| | | | |
|`CUDNN_NON_DETERMINISTIC`|6.0.0| | | | | | | | | | | | | | | |
|`CUDNN_NORM_ALGO_PERSIST`|8.0.1|9.0.0| | | | | | | | | | | | | | |
|`CUDNN_NORM_ALGO_STANDARD`|8.0.1|9.0.0| | | | | | | | | | | | | | |
|`CUDNN_NORM_FWD_INFERENCE`|8.5.0| | | | | | | | | | | | | | | |
|`CUDNN_NORM_FWD_TRAINING`|8.5.0| | | | | | | | | | | | | | | |
|`CUDNN_NORM_OPS_NORM`|8.0.1|9.0.0| | | | | | | | | | | | | | |
|`CUDNN_NORM_OPS_NORM_ACTIVATION`|8.0.1|9.0.0| | | | | | | | | | | | | | |
|`CUDNN_NORM_OPS_NORM_ADD_ACTIVATION`|8.0.1|9.0.0| | | | | | | | | | | | | | |
|`CUDNN_NORM_PER_ACTIVATION`|8.0.1|9.0.0| | | | | | | | | | | | | | |
|`CUDNN_NORM_PER_CHANNEL`|8.0.1|9.0.0| | | | | | | | | | | | | | |
|`CUDNN_NOT_PROPAGATE_NAN`|4.0.0|9.0.0| | |`HIPDNN_NOT_PROPAGATE_NAN`| | | | | |`MIOPEN_NOT_PROPAGATE_NAN`|3.9.0| | | | |
|`CUDNN_NO_REORDER`|7.6.0|9.0.0| | | | | | | | | | | | | | |
|`CUDNN_NUMERICAL_NOTE_DOWN_CONVERT_INPUTS`|8.0.1| | | | | | | | | | | | | | | |
|`CUDNN_NUMERICAL_NOTE_FFT`|8.0.1| | | | | | | | | | | | | | | |
|`CUDNN_NUMERICAL_NOTE_NONDETERMINISTIC`|8.0.1| | | | | | | | | | | | | | | |
|`CUDNN_NUMERICAL_NOTE_REDUCED_PRECISION_REDUCTION`|8.0.1| | | | | | | | | | | | | | | |
|`CUDNN_NUMERICAL_NOTE_STRICT_NAN_PROP`|9.1.0| | | | | | | | | | | | | | | |
|`CUDNN_NUMERICAL_NOTE_TENSOR_CORE`|8.0.1| | | | | | | | | | | | | | | |
|`CUDNN_NUMERICAL_NOTE_TYPE_COUNT`|8.0.1| | | | | | | | | | | | | | | |
|`CUDNN_NUMERICAL_NOTE_WINOGRAD`|8.0.1| | | | | | | | | | | | | | | |
|`CUDNN_NUMERICAL_NOTE_WINOGRAD_TILE_13x13`|8.3.0| | | | | | | | | | | | | | | |
|`CUDNN_NUMERICAL_NOTE_WINOGRAD_TILE_4x4`|8.3.0| | | | | | | | | | | | | | | |
|`CUDNN_NUMERICAL_NOTE_WINOGRAD_TILE_6x6`|8.3.0| | | | | | | | | | | | | | | |
|`CUDNN_OP_TENSOR_ADD`|5.0.0| | | |`HIPDNN_OP_TENSOR_ADD`| | | | | |`miopenTensorOpAdd`|2.1.0| | | | |
|`CUDNN_OP_TENSOR_MAX`|5.0.0| | | |`HIPDNN_OP_TENSOR_MAX`| | | | | |`miopenTensorOpMax`|2.1.0| | | | |
|`CUDNN_OP_TENSOR_MIN`|5.0.0| | | |`HIPDNN_OP_TENSOR_MIN`| | | | | |`miopenTensorOpMin`|2.1.0| | | | |
|`CUDNN_OP_TENSOR_MUL`|5.0.0| | | |`HIPDNN_OP_TENSOR_MUL`| | | | | |`miopenTensorOpMul`|2.1.0| | | | |
|`CUDNN_OP_TENSOR_NOT`|7.0.5| | | | | | | | | | | | | | | |
|`CUDNN_OP_TENSOR_SQRT`|6.0.0| | | |`HIPDNN_OP_TENSOR_SQRT`| | | | | | | | | | | |
|`CUDNN_PARAM_ACTIVATION_BITMASK_DESC`|7.6.0| | | | | | | | | | | | | | | |
|`CUDNN_PARAM_ACTIVATION_BITMASK_PLACEHOLDER`|7.6.0| | | | | | | | | | | | | | | |
|`CUDNN_PARAM_ACTIVATION_DESC`|7.6.0| | | | | | | | | | | | | | | |
|`CUDNN_PARAM_BN_BIAS_PLACEHOLDER`|7.6.0| | | | | | | | | | | | | | | |
|`CUDNN_PARAM_BN_DBIAS_PLACEHOLDER`|7.6.0| | | | | | | | | | | | | | | |
|`CUDNN_PARAM_BN_DSCALE_PLACEHOLDER`|7.6.0| | | | | | | | | | | | | | | |
|`CUDNN_PARAM_BN_EQBIAS_PLACEHOLDER`|7.6.0| | | | | | | | | | | | | | | |
|`CUDNN_PARAM_BN_EQSCALEBIAS_DESC`|7.6.0| | | | | | | | | | | | | | | |
|`CUDNN_PARAM_BN_EQSCALE_PLACEHOLDER`|7.6.0| | | | | | | | | | | | | | | |
|`CUDNN_PARAM_BN_MODE`|7.6.0| | | | | | | | | | | | | | | |
|`CUDNN_PARAM_BN_RUNNING_MEAN_PLACEHOLDER`|7.6.0| | | | | | | | | | | | | | | |
|`CUDNN_PARAM_BN_RUNNING_VAR_PLACEHOLDER`|7.6.0| | | | | | | | | | | | | | | |
|`CUDNN_PARAM_BN_SAVED_INVSTD_PLACEHOLDER`|7.6.0| | | | | | | | | | | | | | | |
|`CUDNN_PARAM_BN_SAVED_MEAN_PLACEHOLDER`|7.6.0| | | | | | | | | | | | | | | |
|`CUDNN_PARAM_BN_SCALEBIAS_MEANVAR_DESC`|7.6.0| | | | | | | | | | | | | | | |
|`CUDNN_PARAM_BN_SCALE_PLACEHOLDER`|7.6.0| | | | | | | | | | | | | | | |
|`CUDNN_PARAM_BN_Z_EQBIAS_PLACEHOLDER`|7.6.0| | | | | | | | | | | | | | | |
|`CUDNN_PARAM_BN_Z_EQSCALEBIAS_DESC`|7.6.0| | | | | | | | | | | | | | | |
|`CUDNN_PARAM_BN_Z_EQSCALE_PLACEHOLDER`|7.6.0| | | | | | | | | | | | | | | |
|`CUDNN_PARAM_CONV_DESC`|7.6.0| | | | | | | | | | | | | | | |
|`CUDNN_PARAM_DWDATA_PLACEHOLDER`|7.6.0| | | | | | | | | | | | | | | |
|`CUDNN_PARAM_DWDESC`|7.6.0| | | | | | | | | | | | | | | |
|`CUDNN_PARAM_DXDATA_PLACEHOLDER`|7.6.0| | | | | | | | | | | | | | | |
|`CUDNN_PARAM_DXDESC`|7.6.0| | | | | | | | | | | | | | | |
|`CUDNN_PARAM_DYDATA_PLACEHOLDER`|7.6.0| | | | | | | | | | | | | | | |
|`CUDNN_PARAM_DYDESC`|7.6.0| | | | | | | | | | | | | | | |
|`CUDNN_PARAM_DZDATA_PLACEHOLDER`|7.6.0| | | | | | | | | | | | | | | |
|`CUDNN_PARAM_DZDESC`|7.6.0| | | | | | | | | | | | | | | |
|`CUDNN_PARAM_WDATA_PLACEHOLDER`|7.6.0| | | | | | | | | | | | | | | |
|`CUDNN_PARAM_WDESC`|7.6.0| | | | | | | | | | | | | | | |
|`CUDNN_PARAM_XDATA_PLACEHOLDER`|7.6.0| | | | | | | | | | | | | | | |
|`CUDNN_PARAM_XDESC`|7.6.0| | | | | | | | | | | | | | | |
|`CUDNN_PARAM_YDATA_PLACEHOLDER`|7.6.0| | | | | | | | | | | | | | | |
|`CUDNN_PARAM_YDESC`|7.6.0| | | | | | | | | | | | | | | |
|`CUDNN_PARAM_YSQSUM_PLACEHOLDER`|7.6.0| | | | | | | | | | | | | | | |
|`CUDNN_PARAM_YSTATS_DESC`|7.6.0| | | | | | | | | | | | | | | |
|`CUDNN_PARAM_YSUM_PLACEHOLDER`|7.6.0| | | | | | | | | | | | | | | |
|`CUDNN_PARAM_ZDATA_PLACEHOLDER`|7.6.0| | | | | | | | | | | | | | | |
|`CUDNN_PARAM_ZDESC`|7.6.0| | | | | | | | | | | | | | | |
|`CUDNN_POINTWISE_ABS`|8.3.0| | | | | | | | | |`MIOPEN_POINTWISE_ABS`|6.2.0| | | | |
|`CUDNN_POINTWISE_ADD`|8.0.1| | | | | | | | | |`MIOPEN_POINTWISE_ADD`|6.2.0| | | | |
|`CUDNN_POINTWISE_ADD_SQUARE`|8.3.0| | | | | | | | | |`MIOPEN_POINTWISE_ADD_SQUARE`|6.2.0| | | | |
|`CUDNN_POINTWISE_ATAN2`|9.1.0| | | | | | | | | | | | | | | |
|`CUDNN_POINTWISE_BINARY_SELECT`|8.4.0| | | | | | | | | |`MIOPEN_POINTWISE_BINARY_SELECT`|6.2.0| | | | |
|`CUDNN_POINTWISE_CEIL`|8.3.0| | | | | | | | | |`MIOPEN_POINTWISE_CEIL`|6.2.0| | | | |
|`CUDNN_POINTWISE_CMP_EQ`|8.3.0| | | | | | | | | |`MIOPEN_POINTWISE_CMP_EQ`|6.2.0| | | | |
|`CUDNN_POINTWISE_CMP_GE`|8.3.0| | | | | | | | | |`MIOPEN_POINTWISE_CMP_GE`|6.2.0| | | | |
|`CUDNN_POINTWISE_CMP_GT`|8.3.0| | | | | | | | | |`MIOPEN_POINTWISE_CMP_GT`|6.2.0| | | | |
|`CUDNN_POINTWISE_CMP_LE`|8.3.0| | | | | | | | | |`MIOPEN_POINTWISE_CMP_LE`|6.2.0| | | | |
|`CUDNN_POINTWISE_CMP_LT`|8.3.0| | | | | | | | | |`MIOPEN_POINTWISE_CMP_LT`|6.2.0| | | | |
|`CUDNN_POINTWISE_CMP_NEQ`|8.3.0| | | | | | | | | |`MIOPEN_POINTWISE_CMP_NEQ`|6.2.0| | | | |
|`CUDNN_POINTWISE_COS`|8.3.0| | | | | | | | | |`MIOPEN_POINTWISE_COS`|6.2.0| | | | |
|`CUDNN_POINTWISE_DIV`|8.3.0| | | | | | | | | |`MIOPEN_POINTWISE_DIV`|6.2.0| | | | |
|`CUDNN_POINTWISE_ELU_BWD`|8.1.0| | | | | | | | | |`MIOPEN_POINTWISE_ELU_BWD`|6.2.0| | | | |
|`CUDNN_POINTWISE_ELU_FWD`|8.0.1| | | | | | | | | |`MIOPEN_POINTWISE_ELU_FWD`|6.2.0| | | | |
|`CUDNN_POINTWISE_ERF`|8.5.0| | | | | | | | | |`MIOPEN_POINTWISE_ERF`|6.2.0| | | | |
|`CUDNN_POINTWISE_EXP`|8.3.0| | | | | | | | | |`MIOPEN_POINTWISE_EXP`|6.2.0| | | | |
|`CUDNN_POINTWISE_FLOOR`|8.3.0| | | | | | | | | |`MIOPEN_POINTWISE_FLOOR`|6.2.0| | | | |
|`CUDNN_POINTWISE_GELU_APPROX_TANH_BWD`|8.5.0| | | | | | | | | |`MIOPEN_POINTWISE_GELU_APPROX_TANH_BWD`|6.2.0| | | | |
|`CUDNN_POINTWISE_GELU_APPROX_TANH_FWD`|8.5.0| | | | | | | | | |`MIOPEN_POINTWISE_GELU_APPROX_TANH_FWD`|6.2.0| | | | |
|`CUDNN_POINTWISE_GELU_BWD`|8.1.0| | | | | | | | | |`MIOPEN_POINTWISE_GELU_BWD`|6.2.0| | | | |
|`CUDNN_POINTWISE_GELU_FWD`|8.1.0| | | | | | | | | |`MIOPEN_POINTWISE_GELU_FWD`|6.2.0| | | | |
|`CUDNN_POINTWISE_GEN_INDEX`|8.4.0| | | | | | | | | |`MIOPEN_POINTWISE_GEN_INDEX`|6.2.0| | | | |
|`CUDNN_POINTWISE_IDENTITY`|8.5.0| | | | | | | | | |`MIOPEN_POINTWISE_IDENTITY`|6.2.0| | | | |
|`CUDNN_POINTWISE_LOG`|8.3.0| | | | | | | | | |`MIOPEN_POINTWISE_LOG`|6.2.0| | | | |
|`CUDNN_POINTWISE_LOGICAL_AND`|8.3.0| | | | | | | | | |`MIOPEN_POINTWISE_LOGICAL_AND`|6.2.0| | | | |
|`CUDNN_POINTWISE_LOGICAL_NOT`|8.3.0| | | | | | | | | |`MIOPEN_POINTWISE_LOGICAL_NOT`|6.2.0| | | | |
|`CUDNN_POINTWISE_LOGICAL_OR`|8.3.0| | | | | | | | | |`MIOPEN_POINTWISE_LOGICAL_OR`|6.2.0| | | | |
|`CUDNN_POINTWISE_MAX`|8.0.1| | | | | | | | | |`MIOPEN_POINTWISE_MAX`|6.2.0| | | | |
|`CUDNN_POINTWISE_MIN`|8.0.1| | | | | | | | | |`MIOPEN_POINTWISE_MIN`|6.2.0| | | | |
|`CUDNN_POINTWISE_MOD`|8.3.0| | | | | | | | | |`MIOPEN_POINTWISE_MOD`|6.2.0| | | | |
|`CUDNN_POINTWISE_MUL`|8.0.1| | | | | | | | | |`MIOPEN_POINTWISE_MUL`|6.2.0| | | | |
|`CUDNN_POINTWISE_NEG`|8.3.0| | | | | | | | | |`MIOPEN_POINTWISE_NEG`|6.2.0| | | | |
|`CUDNN_POINTWISE_POW`|8.3.0| | | | | | | | | |`MIOPEN_POINTWISE_POW`|6.2.0| | | | |
|`CUDNN_POINTWISE_RECIPROCAL`|8.9.0| | | | | | | | | |`MIOPEN_POINTWISE_RECIPROCAL`|6.2.0| | | | |
|`CUDNN_POINTWISE_RELU_BWD`|8.1.0| | | | | | | | | |`MIOPEN_POINTWISE_RELU_BWD`|6.2.0| | | | |
|`CUDNN_POINTWISE_RELU_FWD`|8.0.1| | | | | | | | | |`MIOPEN_POINTWISE_RELU_FWD`|6.2.0| | | | |
|`CUDNN_POINTWISE_RSQRT`|8.3.0| | | | | | | | | |`MIOPEN_POINTWISE_RSQRT`|6.2.0| | | | |
|`CUDNN_POINTWISE_SIGMOID_BWD`|8.1.0| | | | | | | | | |`MIOPEN_POINTWISE_SIGMOID_BWD`|6.2.0| | | | |
|`CUDNN_POINTWISE_SIGMOID_FWD`|8.0.1| | | | | | | | | |`MIOPEN_POINTWISE_SIGMOID_FWD`|6.2.0| | | | |
|`CUDNN_POINTWISE_SIN`|8.3.0| | | | | | | | | |`MIOPEN_POINTWISE_SIN`|6.2.0| | | | |
|`CUDNN_POINTWISE_SOFTPLUS_BWD`|8.1.0| | | | | | | | | |`MIOPEN_POINTWISE_SOFTPLUS_BWD`|6.2.0| | | | |
|`CUDNN_POINTWISE_SOFTPLUS_FWD`|8.1.0| | | | | | | | | |`MIOPEN_POINTWISE_SOFTPLUS_FWD`|6.2.0| | | | |
|`CUDNN_POINTWISE_SQRT`|8.0.1| | | | | | | | | |`MIOPEN_POINTWISE_SQRT`|6.2.0| | | | |
|`CUDNN_POINTWISE_SUB`|8.3.0| | | | | | | | | |`MIOPEN_POINTWISE_SUB`|6.2.0| | | | |
|`CUDNN_POINTWISE_SWISH_BWD`|8.1.0| | | | | | | | | |`MIOPEN_POINTWISE_SWISH_BWD`|6.2.0| | | | |
|`CUDNN_POINTWISE_SWISH_FWD`|8.1.0| | | | | | | | | |`MIOPEN_POINTWISE_SWISH_FWD`|6.2.0| | | | |
|`CUDNN_POINTWISE_TAN`|8.3.0| | | | | | | | | |`MIOPEN_POINTWISE_TAN`|6.2.0| | | | |
|`CUDNN_POINTWISE_TANH_BWD`|8.1.0| | | | | | | | | |`MIOPEN_POINTWISE_TANH_BWD`|6.2.0| | | | |
|`CUDNN_POINTWISE_TANH_FWD`|8.0.1| | | | | | | | | |`MIOPEN_POINTWISE_TANH_FWD`|6.2.0| | | | |
|`CUDNN_POOLING_AVERAGE_COUNT_EXCLUDE_PADDING`|2.0.0|9.0.0| | |`HIPDNN_POOLING_AVERAGE_COUNT_EXCLUDE_PADDING`| | | | | |`miopenPoolingAverage`|2.1.0| | | | |
|`CUDNN_POOLING_AVERAGE_COUNT_INCLUDE_PADDING`|2.0.0|9.0.0| | |`HIPDNN_POOLING_AVERAGE_COUNT_INCLUDE_PADDING`| | | | | |`miopenPoolingAverageInclusive`|2.1.0| | | | |
|`CUDNN_POOLING_MAX`|1.0.0|9.0.0| | |`HIPDNN_POOLING_MAX`| | | | | |`miopenPoolingMax`|2.1.0| | | | |
|`CUDNN_POOLING_MAX_DETERMINISTIC`|6.0.0|9.0.0| | |`HIPDNN_POOLING_MAX_DETERMINISTIC`| | | | | | | | | | | |
|`CUDNN_PROPAGATE_NAN`|4.0.0|9.0.0| | |`HIPDNN_PROPAGATE_NAN`| | | | | |`MIOPEN_PROPAGATE_NAN`|3.9.0| | | | |
|`CUDNN_PTR_16B_ALIGNED`|7.6.0| | | | | | | | | | | | | | | |
|`CUDNN_PTR_ACTIVATION_BITMASK`|7.6.0| | | | | | | | | | | | | | | |
|`CUDNN_PTR_BN_BIAS`|7.6.0| | | | | | | | | | | | | | | |
|`CUDNN_PTR_BN_DBIAS`|7.6.0| | | | | | | | | | | | | | | |
|`CUDNN_PTR_BN_DSCALE`|7.6.0| | | | | | | | | | | | | | | |
|`CUDNN_PTR_BN_EQBIAS`|7.6.0| | | | | | | | | | | | | | | |
|`CUDNN_PTR_BN_EQSCALE`|7.6.0| | | | | | | | | | | | | | | |
|`CUDNN_PTR_BN_RUNNING_MEAN`|7.6.0| | | | | | | | | | | | | | | |
|`CUDNN_PTR_BN_RUNNING_VAR`|7.6.0| | | | | | | | | | | | | | | |
|`CUDNN_PTR_BN_SAVED_INVSTD`|7.6.0| | | | | | | | | | | | | | | |
|`CUDNN_PTR_BN_SAVED_MEAN`|7.6.0| | | | | | | | | | | | | | | |
|`CUDNN_PTR_BN_SCALE`|7.6.0| | | | | | | | | | | | | | | |
|`CUDNN_PTR_BN_Z_EQBIAS`|7.6.0| | | | | | | | | | | | | | | |
|`CUDNN_PTR_BN_Z_EQSCALE`|7.6.0| | | | | | | | | | | | | | | |
|`CUDNN_PTR_DWDATA`|7.6.0| | | | | | | | | | | | | | | |
|`CUDNN_PTR_DXDATA`|7.6.0| | | | | | | | | | | | | | | |
|`CUDNN_PTR_DYDATA`|7.6.0| | | | | | | | | | | | | | | |
|`CUDNN_PTR_DZDATA`|7.6.0| | | | | | | | | | | | | | | |
|`CUDNN_PTR_ELEM_ALIGNED`|7.6.0| | | | | | | | | | | | | | | |
|`CUDNN_PTR_NULL`|7.6.0| | | | | | | | | | | | | | | |
|`CUDNN_PTR_WDATA`|7.6.0| | | | | | | | | | | | | | | |
|`CUDNN_PTR_WORKSPACE`|7.6.0| | | | | | | | | | | | | | | |
|`CUDNN_PTR_XDATA`|7.6.0| | | | | | | | | | | | | | | |
|`CUDNN_PTR_YDATA`|7.6.0| | | | | | | | | | | | | | | |
|`CUDNN_PTR_YSQSUM`|7.6.0| | | | | | | | | | | | | | | |
|`CUDNN_PTR_YSUM`|7.6.0| | | | | | | | | | | | | | | |
|`CUDNN_PTR_ZDATA`|7.6.0| | | | | | | | | | | | | | | |
|`CUDNN_REDUCE_TENSOR_ADD`|6.0.0| | | |`HIPDNN_REDUCE_TENSOR_ADD`| | | | | |`MIOPEN_REDUCE_TENSOR_ADD`|3.9.0| | | | |
|`CUDNN_REDUCE_TENSOR_AMAX`|6.0.0| | | |`HIPDNN_REDUCE_TENSOR_AMAX`| | | | | |`MIOPEN_REDUCE_TENSOR_AMAX`|3.9.0| | | | |
|`CUDNN_REDUCE_TENSOR_AVG`|6.0.0| | | |`HIPDNN_REDUCE_TENSOR_AVG`| | | | | |`MIOPEN_REDUCE_TENSOR_AVG`|3.9.0| | | | |
|`CUDNN_REDUCE_TENSOR_FLATTENED_INDICES`|6.0.0|9.0.0| | |`HIPDNN_REDUCE_TENSOR_FLATTENED_INDICES`| | | | | |`MIOPEN_REDUCE_TENSOR_FLATTENED_INDICES`|3.9.0| | | | |
|`CUDNN_REDUCE_TENSOR_MAX`|6.0.0| | | |`HIPDNN_REDUCE_TENSOR_MAX`| | | | | |`MIOPEN_REDUCE_TENSOR_MAX`|3.9.0| | | | |
|`CUDNN_REDUCE_TENSOR_MIN`|6.0.0| | | |`HIPDNN_REDUCE_TENSOR_MIN`| | | | | |`MIOPEN_REDUCE_TENSOR_MIN`|3.9.0| | | | |
|`CUDNN_REDUCE_TENSOR_MUL`|6.0.0| | | |`HIPDNN_REDUCE_TENSOR_MUL`| | | | | |`MIOPEN_REDUCE_TENSOR_MUL`|3.9.0| | | | |
|`CUDNN_REDUCE_TENSOR_MUL_NO_ZEROS`|7.0.5| | | |`HIPDNN_REDUCE_TENSOR_MUL_NO_ZEROS`| | | | | | | | | | | |
|`CUDNN_REDUCE_TENSOR_NORM1`|6.0.0| | | |`HIPDNN_REDUCE_TENSOR_NORM1`| | | | | |`MIOPEN_REDUCE_TENSOR_NORM1`|3.9.0| | | | |
|`CUDNN_REDUCE_TENSOR_NORM2`|6.0.0| | | |`HIPDNN_REDUCE_TENSOR_NORM2`| | | | | |`MIOPEN_REDUCE_TENSOR_NORM2`|3.9.0| | | | |
|`CUDNN_REDUCE_TENSOR_NO_INDICES`|6.0.0|9.0.0| | |`HIPDNN_REDUCE_TENSOR_NO_INDICES`| | | | | |`MIOPEN_REDUCE_TENSOR_NO_INDICES`|3.9.0| | | | |
|`CUDNN_RESAMPLE_AVGPOOL`|8.3.0| | | | | | | | | | | | | | | |
|`CUDNN_RESAMPLE_AVGPOOL_EXCLUDE_PADDING`|8.6.0| | | | | | | | | | | | | | | |
|`CUDNN_RESAMPLE_AVGPOOL_INCLUDE_PADDING`|8.6.0| | | | | | | | | | | | | | | |
|`CUDNN_RESAMPLE_BILINEAR`|8.3.0| | | | | | | | | | | | | | | |
|`CUDNN_RESAMPLE_MAXPOOL`|8.3.0| | | | | | | | | | | | | | | |
|`CUDNN_RESAMPLE_NEAREST`|8.3.0| | | | | | | | | | | | | | | |
|`CUDNN_RMS_NORM`|8.9.6| | | | | | | | | | | | | | | |
|`CUDNN_RNG_DISTRIBUTION_BERNOULLI`|8.7.0| | | | | | | | | |`MIOPEN_RNG_DISTRIBUTION_BERNOULLI`|6.2.0| | | | |
|`CUDNN_RNG_DISTRIBUTION_NORMAL`|8.7.0| | | | | | | | | |`MIOPEN_RNG_DISTRIBUTION_NORMAL`|6.2.0| | | | |
|`CUDNN_RNG_DISTRIBUTION_UNIFORM`|8.7.0| | | | | | | | | |`MIOPEN_RNG_DISTRIBUTION_UNIFORM`|6.2.0| | | | |
|`CUDNN_RNN_ALGO_COUNT`|7.1.3| | | | | | | | | | | | | | | |
|`CUDNN_RNN_ALGO_PERSIST_DYNAMIC`|6.0.0| | | |`HIPDNN_RNN_ALGO_PERSIST_DYNAMIC`| | | | | | | | | | | |
|`CUDNN_RNN_ALGO_PERSIST_STATIC`|6.0.0| | | |`HIPDNN_RNN_ALGO_PERSIST_STATIC`| | | | | | | | | | | |
|`CUDNN_RNN_ALGO_PERSIST_STATIC_SMALL_H`|8.1.0| | | |`HIPDNN_RNN_ALGO_PERSIST_STATIC_SMALL_H`| | | | | | | | | | | |
|`CUDNN_RNN_ALGO_STANDARD`|6.0.0| | | |`HIPDNN_RNN_ALGO_STANDARD`| | | | | |`miopenRNNdefault`|2.1.0| | | | |
|`CUDNN_RNN_CLIP_MINMAX`|7.2.1| | | | | | | | | | | | | | | |
|`CUDNN_RNN_CLIP_NONE`|7.2.1| | | | | | | | | | | | | | | |
|`CUDNN_RNN_DATA_LAYOUT_BATCH_MAJOR_UNPACKED`|7.2.1| | | | | | | | | | | | | | | |
|`CUDNN_RNN_DATA_LAYOUT_SEQ_MAJOR_PACKED`|7.2.1| | | | | | | | | | | | | | | |
|`CUDNN_RNN_DATA_LAYOUT_SEQ_MAJOR_UNPACKED`|7.2.1| | | | | | | | | | | | | | | |
|`CUDNN_RNN_DOUBLE_BIAS`|7.5.0| | | |`HIPDNN_RNN_WITH_BIAS`| | | | | |`miopenRNNwithBias`|2.1.0| | | | |
|`CUDNN_RNN_NO_BIAS`|7.5.0| | | |`HIPDNN_RNN_NO_BIAS`| | | | | |`miopenRNNNoBias`|2.1.0| | | | |
|`CUDNN_RNN_PADDED_IO_DISABLED`|7.2.1|8.0.1| |9.0.0| | | | | | |`miopenRNNIONotPadded`|6.0.0| | | | |
|`CUDNN_RNN_PADDED_IO_ENABLED`|7.2.1|8.0.1| |9.0.0| | | | | | |`miopenRNNIOWithPadding`|6.0.0| | | | |
|`CUDNN_RNN_RELU`|5.0.0| | | |`HIPDNN_RNN_RELU`| | | | | |`miopenRNNRELU`|2.1.0| | | | |
|`CUDNN_RNN_SINGLE_INP_BIAS`|7.5.0| | | |`HIPDNN_RNN_WITH_BIAS`| | | | | |`miopenRNNwithBias`|2.1.0| | | | |
|`CUDNN_RNN_SINGLE_REC_BIAS`|7.5.0| | | |`HIPDNN_RNN_WITH_BIAS`| | | | | |`miopenRNNwithBias`|2.1.0| | | | |
|`CUDNN_RNN_TANH`|5.0.0| | | |`HIPDNN_RNN_TANH`| | | | | |`miopenRNNTANH`|2.1.0| | | | |
|`CUDNN_SAMPLER_BILINEAR`|5.0.0| | | | | | | | | | | | | | | |
|`CUDNN_SCALAR_DOUBLE_BN_EPSILON`|7.6.0| | | | | | | | | | | | | | | |
|`CUDNN_SCALAR_DOUBLE_BN_EXP_AVG_FACTOR`|7.6.0| | | | | | | | | | | | | | | |
|`CUDNN_SCALAR_INT64_T_BN_ACCUMULATION_COUNT`|7.6.0| | | | | | | | | | | | | | | |
|`CUDNN_SCALAR_SIZE_T_WORKSPACE_SIZE_IN_BYTES`|7.6.0| | | | | | | | | | | | | | | |
|`CUDNN_SEQDATA_BATCH_DIM`|7.5.0| | | | | | | | | | | | | | | |
|`CUDNN_SEQDATA_BEAM_DIM`|7.5.0| | | | | | | | | | | | | | | |
|`CUDNN_SEQDATA_DIM_COUNT`|7.5.0| | | | | | | | | | | | | | | |
|`CUDNN_SEQDATA_TIME_DIM`|7.5.0| | | | | | | | | | | | | | | |
|`CUDNN_SEQDATA_VECT_DIM`|7.5.0| | | | | | | | | | | | | | | |
|`CUDNN_SEV_ERROR`|7.1.3| | | | | | | | | | | | | | | |
|`CUDNN_SEV_ERROR_EN`|7.1.3| | | | | | | | | | | | | | | |
|`CUDNN_SEV_FATAL`|7.1.3| | | | | | | | | | | | | | | |
|`CUDNN_SEV_INFO`|7.1.3| | | | | | | | | | | | | | | |
|`CUDNN_SEV_INFO_EN`|7.1.3| | | | | | | | | | | | | | | |
|`CUDNN_SEV_WARNING`|7.1.3| | | | | | | | | | | | | | | |
|`CUDNN_SEV_WARNING_EN`|7.1.3| | | | | | | | | | | | | | | |
|`CUDNN_SIGNAL_SET`|8.5.0| | | | | | | | | | | | | | | |
|`CUDNN_SIGNAL_WAIT`|8.5.0| | | | | | | | | | | | | | | |
|`CUDNN_SKIP_INPUT`|5.0.0| | | |`HIPDNN_SKIP_INPUT`| | | | | |`miopenRNNskip`|2.1.0| | | | |
|`CUDNN_SOFTMAX_ACCURATE`|1.0.0| | | |`HIPDNN_SOFTMAX_ACCURATE`| | | | | |`MIOPEN_SOFTMAX_ACCURATE`|2.6.0| | | | |
|`CUDNN_SOFTMAX_FAST`|1.0.0| | | |`HIPDNN_SOFTMAX_FAST`| | | | | |`MIOPEN_SOFTMAX_FAST`|2.6.0| | | | |
|`CUDNN_SOFTMAX_LOG`|3.0.0| | | |`HIPDNN_SOFTMAX_LOG`| | | | | |`MIOPEN_SOFTMAX_LOG`|2.6.0| | | | |
|`CUDNN_SOFTMAX_MODE_CHANNEL`|1.0.0| | | |`HIPDNN_SOFTMAX_MODE_CHANNEL`| | | | | |`MIOPEN_SOFTMAX_MODE_CHANNEL`|2.6.0| | | | |
|`CUDNN_SOFTMAX_MODE_INSTANCE`|1.0.0| | | |`HIPDNN_SOFTMAX_MODE_INSTANCE`| | | | | |`MIOPEN_SOFTMAX_MODE_INSTANCE`|2.6.0| | | | |
|`CUDNN_STATUS_ALLOC_FAILED`|1.0.0|9.0.0| | |`HIPDNN_STATUS_ALLOC_FAILED`| | | | | |`miopenStatusAllocFailed`|2.1.0| | | | |
|`CUDNN_STATUS_ARCH_MISMATCH`|1.0.0|9.0.0| | |`HIPDNN_STATUS_ARCH_MISMATCH`| | | | | | | | | | | |
|`CUDNN_STATUS_BAD_PARAM`|1.0.0| | | |`HIPDNN_STATUS_BAD_PARAM`| | | | | |`miopenStatusBadParm`|2.1.0| | | | |
|`CUDNN_STATUS_BAD_PARAM_ATTRIBUTE_TYPE`|9.0.0| | | | | | | | | | | | | | | |
|`CUDNN_STATUS_BAD_PARAM_CUDA_GRAPH_MISMATCH`|9.5.0| | | | | | | | | | | | | | | |
|`CUDNN_STATUS_BAD_PARAM_DUPLICATED_ENTRIES`|9.0.0| | | | | | | | | | | | | | | |
|`CUDNN_STATUS_BAD_PARAM_MISALIGNED_POINTER`|9.0.0| | | | | | | | | | | | | | | |
|`CUDNN_STATUS_BAD_PARAM_NOT_FINALIZED`|9.0.0| | | | | | | | | | | | | | | |
|`CUDNN_STATUS_BAD_PARAM_NULL_POINTER`|9.0.0| | | | | | | | | | | | | | | |
|`CUDNN_STATUS_BAD_PARAM_OUT_OF_BOUND`|9.0.0| | | | | | | | | | | | | | | |
|`CUDNN_STATUS_BAD_PARAM_SHAPE_MISMATCH`|9.0.0| | | | | | | | | | | | | | | |
|`CUDNN_STATUS_BAD_PARAM_SIZE_INSUFFICIENT`|9.0.0| | | | | | | | | | | | | | | |
|`CUDNN_STATUS_BAD_PARAM_STREAM_MISMATCH`|9.0.0| | | | | | | | | | | | | | | |
|`CUDNN_STATUS_CATEGORY`|9.0.0| | | | | | | | | | | | | | | |
|`CUDNN_STATUS_DEPRECATED`|9.0.0| | | | | | | | | | | | | | | |
|`CUDNN_STATUS_EXECUTION_FAILED`|1.0.0| | | |`HIPDNN_STATUS_EXECUTION_FAILED`| | | | | | | | | | | |
|`CUDNN_STATUS_EXECUTION_FAILED_CUBLAS`|9.0.0| | | | | | | | | | | | | | | |
|`CUDNN_STATUS_EXECUTION_FAILED_CUDART`|9.0.0| | | | | | | | | | | | | | | |
|`CUDNN_STATUS_EXECUTION_FAILED_CUDA_DRIVER`|9.0.0| | | | | | | | | | | | | | | |
|`CUDNN_STATUS_EXECUTION_FAILED_CURAND`|9.0.0| | | | | | | | | | | | | | | |
|`CUDNN_STATUS_FULL_ERROR_CODE`|9.0.0| | | | | | | | | | | | | | | |
|`CUDNN_STATUS_INTERNAL_ERROR`|1.0.0| | | |`HIPDNN_STATUS_INTERNAL_ERROR`| | | | | |`miopenStatusInternalError`|2.1.0| | | | |
|`CUDNN_STATUS_INTERNAL_ERROR_BAD_LAUNCH_PARAM`|9.0.0| | | | | | | | | | | | | | | |
|`CUDNN_STATUS_INTERNAL_ERROR_COMPILATION_FAILED`|9.0.0| | | | | | | | | | | | | | | |
|`CUDNN_STATUS_INTERNAL_ERROR_DEVICE_ALLOCATION_FAILED`|9.0.0| | | | | | | | | | | | | | | |
|`CUDNN_STATUS_INTERNAL_ERROR_HOST_ALLOCATION_FAILED`|9.0.0| | | | | | | | | | | | | | | |
|`CUDNN_STATUS_INTERNAL_ERROR_TEXTURE_CREATION_FAILED`|9.0.0| | | | | | | | | | | | | | | |
|`CUDNN_STATUS_INTERNAL_ERROR_UNEXPECTED_VALUE`|9.0.0| | | | | | | | | | | | | | | |
|`CUDNN_STATUS_INVALID_VALUE`|1.0.0|9.0.0| | |`HIPDNN_STATUS_INVALID_VALUE`| | | | | |`miopenStatusInvalidValue`|2.1.0| | | | |
|`CUDNN_STATUS_LICENSE_ERROR`|1.0.0| | | |`HIPDNN_STATUS_LICENSE_ERROR`| | | | | | | | | | | |
|`CUDNN_STATUS_MAPPING_ERROR`|1.0.0|9.0.0| | |`HIPDNN_STATUS_MAPPING_ERROR`| | | | | | | | | | | |
|`CUDNN_STATUS_NOT_INITIALIZED`|1.0.0| | | |`HIPDNN_STATUS_NOT_INITIALIZED`| | | | | |`miopenStatusNotInitialized`|2.1.0| | | | |
|`CUDNN_STATUS_NOT_SUPPORTED`|1.0.0| | | |`HIPDNN_STATUS_NOT_SUPPORTED`| | | | | |`miopenStatusUnsupportedOp`|2.1.0| | | | |
|`CUDNN_STATUS_NOT_SUPPORTED_ARCH_MISMATCH`|9.0.0| | | | | | | | | | | | | | | |
|`CUDNN_STATUS_NOT_SUPPORTED_BAD_LAUNCH_PARAM`|9.0.0| | | | | | | | | | | | | | | |
|`CUDNN_STATUS_NOT_SUPPORTED_CUDA_GRAPH_NATIVE_API`|9.5.0| | | | | | | | | | | | | | | |
|`CUDNN_STATUS_NOT_SUPPORTED_DATA_TYPE`|9.0.0| | | | | | | | | | | | | | | |
|`CUDNN_STATUS_NOT_SUPPORTED_GRAPH_PATTERN`|9.0.0| | | | | | | | | | | | | | | |
|`CUDNN_STATUS_NOT_SUPPORTED_INCOMPATIBLE_CUDART`|9.0.0| | | | | | | | | | | | | | | |
|`CUDNN_STATUS_NOT_SUPPORTED_INCOMPATIBLE_CUDA_DRIVER`|9.0.0| | | | | | | | | | | | | | | |
|`CUDNN_STATUS_NOT_SUPPORTED_LAYOUT`|9.0.0| | | | | | | | | | | | | | | |
|`CUDNN_STATUS_NOT_SUPPORTED_PADDING`|9.0.0| | | | | | | | | | | | | | | |
|`CUDNN_STATUS_NOT_SUPPORTED_RUNTIME_PREREQUISITE_MISSING`|9.0.0| | | | | | | | | | | | | | | |
|`CUDNN_STATUS_NOT_SUPPORTED_SHAPE`|9.0.0| | | | | | | | | | | | | | | |
|`CUDNN_STATUS_NOT_SUPPORTED_SHARED_MEMORY_INSUFFICIENT`|9.0.0| | | | | | | | | | | | | | | |
|`CUDNN_STATUS_NOT_SUPPORTED_SUBLIBRARY_UNAVAILABLE`|9.0.0| | | | | | | | | | | | | | | |
|`CUDNN_STATUS_RUNTIME_FP_OVERFLOW`|7.0.5| | | | | | | | | | | | | | | |
|`CUDNN_STATUS_RUNTIME_IN_PROGRESS`|7.0.5| | | | | | | | | | | | | | | |
|`CUDNN_STATUS_RUNTIME_PREREQUISITE_MISSING`|6.0.0|9.0.0| | |`HIPDNN_STATUS_RUNTIME_PREREQUISITE_MISSING`| | | | | | | | | | | |
|`CUDNN_STATUS_SERIALIZATION_VERSION_MISMATCH`|9.0.0| | | | | | | | | | | | | | | |
|`CUDNN_STATUS_SPECIFIC_ERROR`|9.0.0| | | | | | | | | | | | | | | |
|`CUDNN_STATUS_SUBLIBRARY_LOADING_FAILED`|9.2.0| | | | | | | | | | | | | | | |
|`CUDNN_STATUS_SUBLIBRARY_VERSION_MISMATCH`|9.0.0| | | | | | | | | | | | | | | |
|`CUDNN_STATUS_SUCCESS`|1.0.0| | | |`HIPDNN_STATUS_SUCCESS`| | | | | |`miopenStatusSuccess`|2.1.0| | | | |
|`CUDNN_STATUS_VERSION_MISMATCH`|8.0.1|9.0.0| | | | | | | | |`miopenStatusVersionMismatch`|5.4.0| | | | |
|`CUDNN_TENSOR_NCHW`|1.0.0| | | |`HIPDNN_TENSOR_NCHW`| | | | | |`miopenTensorNCHW`|5.3.0| | | | |
|`CUDNN_TENSOR_NCHW_VECT_C`|6.0.0| | | |`HIPDNN_TENSOR_NCHW_VECT_C`| | | | | | | | | | | |
|`CUDNN_TENSOR_NHWC`|1.0.0| | | |`HIPDNN_TENSOR_NHWC`| | | | | |`miopenTensorNHWC`|5.3.0| | | | |
|`CUDNN_TENSOR_OP_MATH`|7.0.5| | | |`HIPDNN_TENSOR_OP_MATH`| | | | | | | | | | | |
|`CUDNN_TENSOR_OP_MATH_ALLOW_CONVERSION`|7.2.1| | | | | | | | | | | | | | | |
|`CUDNN_TENSOR_REORDERING_F16x16`|8.8.0| | | | | | | | | | | | | | | |
|`CUDNN_TENSOR_REORDERING_INT8x32`|8.3.0| | | | | | | | | | | | | | | |
|`CUDNN_TENSOR_REORDERING_NONE`|8.3.0| | | | | | | | | | | | | | | |
|`CUDNN_TRANSFORM_FOLD`|7.5.0| | | | | | | | | | | | | | | |
|`CUDNN_TRANSFORM_UNFOLD`|7.5.0| | | | | | | | | | | | | | | |
|`CUDNN_TYPE_ATTRIB_NAME`|8.0.1| | | | | | | | | |`MIOPEN_TYPE_ATTRIB_NAME`|6.2.0| | | | |
|`CUDNN_TYPE_BACKEND_DESCRIPTOR`|8.0.1| | | | | | | | | |`MIOPEN_TYPE_BACKEND_DESCRIPTOR`|6.2.0| | | | |
|`CUDNN_TYPE_BEHAVIOR_NOTE`|8.2.0| | | | | | | | | |`MIOPEN_TYPE_BEHAVIOR_NOTE`|6.2.0| | | | |
|`CUDNN_TYPE_BN_FINALIZE_STATS_MODE`|8.1.0| | | | | | | | | |`MIOPEN_TYPE_BN_FINALIZE_STATS_MODE`|6.2.0| | | | |
|`CUDNN_TYPE_BOOLEAN`|8.0.1| | | | | | | | | |`MIOPEN_TYPE_BOOLEAN`|6.2.0| | | | |
|`CUDNN_TYPE_CHAR`|8.4.0| | | | | | | | | |`MIOPEN_TYPE_CHAR`|6.2.0| | | | |
|`CUDNN_TYPE_CONVOLUTION_MODE`|8.0.1| | | | | | | | | |`MIOPEN_TYPE_CONVOLUTION_MODE`|6.2.0| | | | |
|`CUDNN_TYPE_DATA_TYPE`|8.0.1| | | | | | | | | |`MIOPEN_TYPE_DATA_TYPE`|6.2.0| | | | |
|`CUDNN_TYPE_DOUBLE`|8.0.1| | | | | | | | | |`MIOPEN_TYPE_DOUBLE`|6.2.0| | | | |
|`CUDNN_TYPE_FLOAT`|8.0.1| | | | | | | | | |`MIOPEN_TYPE_FLOAT`|6.2.0| | | | |
|`CUDNN_TYPE_FRACTION`|8.5.0| | | | | | | | | |`MIOPEN_TYPE_FRACTION`|6.2.0| | | | |
|`CUDNN_TYPE_GENSTATS_MODE`|8.0.1| | | | | | | | | |`MIOPEN_TYPE_GENSTATS_MODE`|6.2.0| | | | |
|`CUDNN_TYPE_HANDLE`|8.0.1| | | | | | | | | |`MIOPEN_TYPE_HANDLE`|6.2.0| | | | |
|`CUDNN_TYPE_HEUR_MODE`|8.0.1| | | | | | | | | |`MIOPEN_TYPE_HEUR_MODE`|6.2.0| | | | |
|`CUDNN_TYPE_INT32`|8.3.0| | | | | | | | | |`MIOPEN_TYPE_INT32`|6.2.0| | | | |
|`CUDNN_TYPE_INT64`|8.0.1| | | | | | | | | |`MIOPEN_TYPE_INT64`|6.2.0| | | | |
|`CUDNN_TYPE_KNOB_TYPE`|8.0.1| | | | | | | | | |`MIOPEN_TYPE_KNOB_TYPE`|6.2.0| | | | |
|`CUDNN_TYPE_LAYOUT_TYPE`|8.0.2| | | | | | | | | |`MIOPEN_TYPE_LAYOUT_TYPE`|6.2.0| | | | |
|`CUDNN_TYPE_NAN_PROPOGATION`|8.0.1|9.0.0| | | | | | | | |`MIOPEN_TYPE_NAN_PROPOGATION`|6.2.0| | | | |
|`CUDNN_TYPE_NORM_FWD_PHASE`|8.5.0| | | | | | | | | |`MIOPEN_TYPE_NORM_FWD_PHASE`|6.2.0| | | | |
|`CUDNN_TYPE_NORM_MODE`|8.5.0| | | | | | | | | |`MIOPEN_TYPE_NORM_MODE`|6.2.0| | | | |
|`CUDNN_TYPE_NUMERICAL_NOTE`|8.0.1| | | | | | | | | |`MIOPEN_TYPE_NUMERICAL_NOTE`|6.2.0| | | | |
|`CUDNN_TYPE_PADDING_MODE`|8.3.0| | | | | | | | | |`MIOPEN_TYPE_PADDING_MODE`|6.2.0| | | | |
|`CUDNN_TYPE_POINTWISE_MODE`|8.0.1| | | | | | | | | |`MIOPEN_TYPE_POINTWISE_MODE`|6.2.0| | | | |
|`CUDNN_TYPE_REDUCTION_OPERATOR_TYPE`|8.1.0| | | | | | | | | |`MIOPEN_TYPE_REDUCTION_OPERATOR_TYPE`|6.2.0| | | | |
|`CUDNN_TYPE_RESAMPLE_MODE`|8.3.0| | | | | | | | | |`MIOPEN_TYPE_RESAMPLE_MODE`|6.2.0| | | | |
|`CUDNN_TYPE_RNG_DISTRIBUTION`|8.7.0| | | | | | | | | |`MIOPEN_TYPE_RNG_DISTRIBUTION`|6.2.0| | | | |
|`CUDNN_TYPE_SIGNAL_MODE`|8.5.0| | | | | | | | | |`MIOPEN_TYPE_SIGNAL_MODE`|6.2.0| | | | |
|`CUDNN_TYPE_TENSOR_REORDERING_MODE`|8.3.0| | | | | | | | | |`MIOPEN_TYPE_TENSOR_REORDERING_MODE`|6.2.0| | | | |
|`CUDNN_TYPE_VOID_PTR`|8.0.1| | | | | | | | | |`MIOPEN_TYPE_VOID_PTR`|6.2.0| | | | |
|`CUDNN_UNIDIRECTIONAL`|5.0.0| | | |`HIPDNN_UNIDIRECTIONAL`| | | | | |`miopenRNNunidirection`|2.1.0| | | | |
|`CUDNN_WGRAD_MODE_ADD`|7.5.0| | | | | | | | | | | | | | | |
|`CUDNN_WGRAD_MODE_SET`|7.5.0| | | | | | | | | | | | | | | |
|`CUDNN_ZERO_PAD`|8.3.0| | | | | | | | | |`miopenPaddingDefault`|2.1.0| | | | |
|`cudnnActivationDescriptor_t`|4.0.0|9.0.0| | |`hipdnnActivationDescriptor_t`| | | | | |`miopenActivationDescriptor_t`|2.1.0| | | | |
|`cudnnActivationMode_t`|1.0.0|9.0.0| | |`hipdnnActivationMode_t`| | | | | |`miopenActivationMode_t`|2.1.0| | | | |
|`cudnnActivationStruct`|4.0.0|9.0.0| | | | | | | | | | | | | | |
|`cudnnAlgorithmDescriptor_t`|7.1.3| | |9.0.0| | | | | | | | | | | | |
|`cudnnAlgorithmPerformanceStruct`|7.1.3| | |9.0.0| | | | | | | | | | | | |
|`cudnnAlgorithmPerformance_t`|7.1.3| | |9.0.0| | | | | | | | | | | | |
|`cudnnAlgorithmStruct`|7.1.3| | |9.0.0| | | | | | | | | | | | |
|`cudnnAlgorithmUnionStruct`|8.2.0| | |9.0.0| | | | | | | | | | | | |
|`cudnnAlgorithm_t`|7.1.3| | |9.0.0| | | | | | | | | | | | |
|`cudnnAttnDescriptor_t`|7.5.0|9.0.0| | | | | | | | | | | | | | |
|`cudnnAttnQueryMap_t`|7.5.0| | |9.0.0| | | | | | | | | | | | |
|`cudnnAttnStruct`|7.5.0| | | | | | | | | | | | | | | |
|`cudnnBackendAttributeName_t`|8.0.1| | | | | | | | | |`miopenBackendAttributeName_t`|6.2.0| | | | |
|`cudnnBackendAttributeType_t`|8.0.1| | | | | | | | | |`miopenBackendAttributeType_t`|6.2.0| | | | |
|`cudnnBackendBehaviorNote_t`|8.2.0| | | | | | | | | | | | | | | |
|`cudnnBackendDescriptorType_t`|8.0.1| | | | | | | | | |`miopenBackendDescriptorType_t`|6.2.0| | | | |
|`cudnnBackendDescriptor_t`|8.0.1| | | | | | | | | |`miopenBackendDescriptor_t`|6.2.0| | | | |
|`cudnnBackendHeurMode_t`|8.0.1| | | | | | | | | |`miopenBackendHeurMode_t`|6.2.0| | | | |
|`cudnnBackendKnobType_t`|8.0.1| | | | | | | | | | | | | | | |
|`cudnnBackendLayoutType_t`|8.0.1| | | | | | | | | | | | | | | |
|`cudnnBackendNormFwdPhase_t`|8.5.0| | | | | | | | | | | | | | | |
|`cudnnBackendNormMode_t`|8.5.0| | | | | | | | | | | | | | | |
|`cudnnBackendNumericalNote_t`|8.0.1| | | | | | | | | | | | | | | |
|`cudnnBackendTensorReordering_t`|8.3.0| | | | | | | | | | | | | | | |
|`cudnnBatchNormMode_t`|4.0.0|9.0.0| | |`hipdnnBatchNormMode_t`| | | | | |`miopenBatchNormMode_t`|2.1.0| | | | |
|`cudnnBatchNormOps_t`|7.4.1|9.0.0| | | | | | | | | | | | | | |
|`cudnnBnFinalizeStatsMode_t`|8.1.0| | | | | | | | | | | | | | | |
|`cudnnCTCGradMode_t`|9.0.0| | | | | | | | | | | | | | | |
|`cudnnCTCLossAlgo_t`|7.0.5| | | | | | | | | |`miopenCTCLossAlgo_t`|2.6.0| | | | |
|`cudnnCTCLossDescriptor_t`|7.0.5| | | | | | | | | |`miopenCTCLossDescriptor_t`|2.6.0| | | | |
|`cudnnCTCLossStruct`|7.0.5| | | | | | | | | | | | | | | |
|`cudnnCallback_t`|7.1.3| | | | | | | | | | | | | | | |
|`cudnnContext`|1.0.0| | | | | | | | | |`miopenHandle`|2.1.0| | | | |
|`cudnnConvolutionBwdDataAlgoPerfStruct`|8.2.0|9.0.0| | |`hipdnnConvolutionBwdDataAlgoPerf_t`| | | | | |`miopenConvAlgoPerf_t`|2.1.0| | | | |
|`cudnnConvolutionBwdDataAlgoPerf_t`|3.0.0|9.0.0| | |`hipdnnConvolutionBwdDataAlgoPerf_t`| | | | | |`miopenConvAlgoPerf_t`|2.1.0| | | | |
|`cudnnConvolutionBwdDataAlgo_t`|3.0.0| | | |`hipdnnConvolutionBwdDataAlgo_t`| | | | | |`miopenConvBwdDataAlgorithm_t`|2.1.0| | | | |
|`cudnnConvolutionBwdDataPreference_t`|3.0.0|7.6.5| |8.0.1|`hipdnnConvolutionBwdDataPreference_t`| | | | | | | | | | | |
|`cudnnConvolutionBwdFilterAlgoPerfStruct`|8.2.0| | | |`hipdnnConvolutionBwdFilterAlgoPerf_t`| | | | | | | | | | | |
|`cudnnConvolutionBwdFilterAlgoPerf_t`|3.0.0|9.0.0| | |`hipdnnConvolutionBwdFilterAlgoPerf_t`| | | | | | | | | | | |
|`cudnnConvolutionBwdFilterAlgo_t`|3.0.0| | | |`hipdnnConvolutionBwdFilterAlgo_t`| | | | | | | | | | | |
|`cudnnConvolutionBwdFilterPreference_t`|3.0.0|7.6.5| |8.0.1|`hipdnnConvolutionBwdFilterPreference_t`| | | | | | | | | | | |
|`cudnnConvolutionDescriptor_t`|1.0.0|9.0.0| | |`hipdnnConvolutionDescriptor_t`| | | | | |`miopenConvolutionDescriptor_t`|2.1.0| | | | |
|`cudnnConvolutionFwdAlgoPerfStruct`|8.2.0| | | |`hipdnnConvolutionFwdAlgoPerf_t`| | | | | |`miopenConvAlgoPerf_t`|2.1.0| | | | |
|`cudnnConvolutionFwdAlgoPerf_t`|3.0.0|9.0.0| | |`hipdnnConvolutionFwdAlgoPerf_t`| | | | | |`miopenConvAlgoPerf_t`|2.1.0| | | | |
|`cudnnConvolutionFwdAlgo_t`|2.0.0| | | |`hipdnnConvolutionFwdAlgo_t`| | | | | |`miopenConvFwdAlgorithm_t`|2.1.0| | | | |
|`cudnnConvolutionFwdPreference_t`|2.0.0|7.6.5| |8.0.1|`hipdnnConvolutionFwdPreference_t`| | | | | | | | | | | |
|`cudnnConvolutionMode_t`|1.0.0| | | |`hipdnnConvolutionMode_t`| | | | | |`miopenConvolutionMode_t`|2.1.0| | | | |
|`cudnnConvolutionStruct`|1.0.0| | | | | | | | | | | | | | | |
|`cudnnDataType_t`|1.0.0| | | |`hipdnnDataType_t`| | | | | |`miopenDataType_t`|2.1.0| | | | |
|`cudnnDebugStruct`|8.2.0| | | | | | | | | | | | | | | |
|`cudnnDebug_t`|7.1.3| | | | | | | | | | | | | | | |
|`cudnnDeterminism_t`|6.0.0| | | | | | | | | | | | | | | |
|`cudnnDirectionMode_t`|5.0.0| | | |`hipdnnDirectionMode_t`| | | | | |`miopenRNNDirectionMode_t`|2.1.0| | | | |
|`cudnnDivNormMode_t`|3.0.0| | | | | | | | | | | | | | | |
|`cudnnDropoutDescriptor_t`|5.0.0| | | |`hipdnnDropoutDescriptor_t`| | | | | |`miopenDropoutDescriptor_t`|2.8.0| | | | |
|`cudnnDropoutStruct`|5.0.0| | | | | | | | | | | | | | | |
|`cudnnErrQueryMode_t`|7.0.5| | | | | | | | | | | | | | | |
|`cudnnFilterDescriptor_t`|1.0.0| | | |`hipdnnFilterDescriptor_t`| | | | | |`miopenTensorDescriptor_t`|2.1.0| | | | |
|`cudnnFilterStruct`|1.0.0|9.0.0| | | | | | | | | | | | | | |
|`cudnnFoldingDirection_t`|7.5.0| | | | | | | | | | | | | | | |
|`cudnnForwardMode_t`|8.0.1| | | | | | | | | |`miopenRNNFWDMode_t`|6.0.0| | | | |
|`cudnnFractionStruct`|8.5.0| | | | | | | | | | | | | | | |
|`cudnnFraction_t`|8.5.0| | | | | | | | | | | | | | | |
|`cudnnFusedOpsConstParamLabel_t`|7.6.0|9.0.0| | | | | | | | | | | | | | |
|`cudnnFusedOpsConstParamPack_t`|7.6.0|9.0.0| | | | | | | | | | | | | | |
|`cudnnFusedOpsConstParamStruct`|7.6.0|9.0.0| | | | | | | | | | | | | | |
|`cudnnFusedOpsPlanStruct`|7.6.0|9.0.0| | | | | | | | | | | | | | |
|`cudnnFusedOpsPlan_t`|7.6.0|9.0.0| | | | | | | | | | | | | | |
|`cudnnFusedOpsPointerPlaceHolder_t`|7.6.0|9.0.0| | | | | | | | | | | | | | |
|`cudnnFusedOpsVariantParamLabel_t`|7.6.0|9.0.0| | | | | | | | | | | | | | |
|`cudnnFusedOpsVariantParamPack_t`|7.6.0|9.0.0| | | | | | | | | | | | | | |
|`cudnnFusedOpsVariantParamStruct`|7.6.0|9.0.0| | | | | | | | | | | | | | |
|`cudnnFusedOps_t`|7.6.0|9.0.0| | | | | | | | | | | | | | |
|`cudnnGenStatsMode_t`|8.0.1| | | | | | | | | | | | | | | |
|`cudnnHandle_t`|1.0.0| | | |`hipdnnHandle_t`| | | | | |`miopenHandle_t`|2.1.0| | | | |
|`cudnnIndicesType_t`|6.0.0|9.0.0| | |`hipdnnIndicesType_t`| | | | | |`miopenIndicesType_t`|3.9.0| | | | |
|`cudnnLRNDescriptor_t`|3.0.0| | | |`hipdnnLRNDescriptor_t`| | | | | |`miopenLRNDescriptor_t`|2.1.0| | | | |
|`cudnnLRNMode_t`|3.0.0| | | |`hipdnnLRNMode_t`| | | | | |`miopenLRNMode_t`|2.1.0| | | | |
|`cudnnLRNStruct`|3.0.0| | | | | | | | | | | | | | | |
|`cudnnLossNormalizationMode_t`|7.6.0| | | | | | | | | | | | | | | |
|`cudnnMathType_t`|7.0.5| | | |`hipdnnMathType_t`| | | | | | | | | | | |
|`cudnnMultiHeadAttnWeightKind_t`|7.5.0| | | | | | | | | | | | | | | |
|`cudnnNanPropagation_t`|4.0.0| | | |`hipdnnNanPropagation_t`| | | | | |`miopenNanPropagation_t`|3.9.0| | | | |
|`cudnnNormAlgo_t`|8.0.1|9.0.0| | | | | | | | | | | | | | |
|`cudnnNormMode_t`|8.0.1|9.0.0| | | | | | | | | | | | | | |
|`cudnnNormOps_t`|8.0.1|9.0.0| | | | | | | | | | | | | | |
|`cudnnOpTensorDescriptor_t`|5.0.0|9.0.0| | |`hipdnnOpTensorDescriptor_t`| | | | | | | | | | | |
|`cudnnOpTensorOp_t`|5.0.0| | | |`hipdnnOpTensorOp_t`| | | | | |`miopenTensorOp_t`|2.1.0| | | | |
|`cudnnOpTensorStruct`|5.0.0|9.0.0| | | | | | | | | | | | | | |
|`cudnnPaddingMode_t`|8.3.0| | | | | | | | | |`miopenPaddingMode_t`|2.1.0| | | | |
|`cudnnPersistentRNNPlan`|6.0.0| | | | | | | | | | | | | | | |
|`cudnnPersistentRNNPlan_t`|6.0.0| | | |`hipdnnPersistentRNNPlan_t`| | | | | | | | | | | |
|`cudnnPointwiseMode_t`|8.0.1| | | | | | | | | |`miopenPointwiseMode_t`|6.2.0| | | | |
|`cudnnPoolingDescriptor_t`|1.0.0|9.0.0| | |`hipdnnPoolingDescriptor_t`| | | | | |`miopenPoolingDescriptor_t`|2.1.0| | | | |
|`cudnnPoolingMode_t`|1.0.0|9.0.0| | |`hipdnnPoolingMode_t`| | | | | |`miopenPoolingMode_t`|2.1.0| | | | |
|`cudnnPoolingStruct`|1.0.0|9.0.0| | | | | | | | | | | | | | |
|`cudnnRNNAlgo_t`|6.0.0| | | |`hipdnnRNNAlgo_t`| | | | | |`miopenRNNAlgo_t`|2.1.0| | | | |
|`cudnnRNNBiasMode_t`|7.5.0| | | |`hipdnnRNNBiasMode_t`| | | | | |`miopenRNNBiasMode_t`|2.1.0| | | | |
|`cudnnRNNClipMode_t`|7.2.1| | | | | | | | | | | | | | | |
|`cudnnRNNDataDescriptor_t`|7.2.1| | | | | | | | | | | | | | | |
|`cudnnRNNDataLayout_t`|7.2.1| | | | | | | | | | | | | | | |
|`cudnnRNNDataStruct`|7.2.1| | | | | | | | | | | | | | | |
|`cudnnRNNDescriptor_t`|5.0.0| | | |`hipdnnRNNDescriptor_t`| | | | | |`miopenRNNDescriptor_t`|2.1.0| | | | |
|`cudnnRNNInputMode_t`|5.0.0| | | |`hipdnnRNNInputMode_t`| | | | | |`miopenRNNInputMode_t`|2.1.0| | | | |
|`cudnnRNNMode_t`|5.0.0| | | |`hipdnnRNNMode_t`| | | | | |`miopenRNNMode_t`|2.1.0| | | | |
|`cudnnRNNPaddingMode_t`|7.2.1|8.0.1| |9.0.0| | | | | | |`miopenRNNPaddingMode_t`|6.0.0| | | | |
|`cudnnRNNStruct`|5.0.0| | | | | | | | | | | | | | | |
|`cudnnReduceTensorDescriptor_t`|6.0.0|9.0.0| | |`hipdnnReduceTensorDescriptor_t`| | | | | |`miopenReduceTensorDescriptor_t`|3.9.0| | | | |
|`cudnnReduceTensorIndices_t`|6.0.0|9.0.0| | |`hipdnnReduceTensorIndices_t`| | | | | |`miopenReduceTensorIndices_t`|3.9.0| | | | |
|`cudnnReduceTensorOp_t`|6.0.0| | | |`hipdnnReduceTensorOp_t`| | | | | |`miopenReduceTensorOp_t`|3.9.0| | | | |
|`cudnnReduceTensorStruct`|6.0.0|9.0.0| | | | | | | | | | | | | | |
|`cudnnReorderType_t`|7.6.0|9.0.0| | | | | | | | | | | | | | |
|`cudnnResampleMode_t`|8.3.0| | | | | | | | | | | | | | | |
|`cudnnRngDistribution_t`|8.7.0| | | | | | | | | |`miopenRngDistribution_t`|6.2.0| | | | |
|`cudnnRuntimeTag_t`|7.0.5|9.0.0| | | | | | | | | | | | | | |
|`cudnnSamplerType_t`|5.0.0| | | | | | | | | | | | | | | |
|`cudnnSeqDataAxis_t`|7.5.0| | | | | | | | | | | | | | | |
|`cudnnSeqDataDescriptor_t`|7.5.0|9.0.0| | | | | | | | | | | | | | |
|`cudnnSeqDataStruct`|7.5.0| | | | | | | | | | | | | | | |
|`cudnnSeverity_t`|7.1.3| | | | | | | | | | | | | | | |
|`cudnnSignalMode_t`|8.5.0| | | | | | | | | | | | | | | |
|`cudnnSoftmaxAlgorithm_t`|1.0.0| | | |`hipdnnSoftmaxAlgorithm_t`| | | | | |`miopenSoftmaxAlgorithm_t`|2.6.0| | | | |
|`cudnnSoftmaxMode_t`|1.0.0| | | |`hipdnnSoftmaxMode_t`| | | | | |`miopenSoftmaxMode_t`|2.6.0| | | | |
|`cudnnSpatialTransformerDescriptor_t`|5.0.0| | | | | | | | | | | | | | | |
|`cudnnSpatialTransformerStruct`|5.0.0| | | | | | | | | | | | | | | |
|`cudnnStatus_t`|1.0.0| | | |`hipdnnStatus_t`| | | | | |`miopenStatus_t`|2.1.0| | | | |
|`cudnnTensorDescriptor_t`|2.0.0| | | |`hipdnnTensorDescriptor_t`| | | | | |`miopenTensorDescriptor_t`|2.1.0| | | | |
|`cudnnTensorFormat_t`|1.0.0| | | |`hipdnnTensorFormat_t`| | | | | |`miopenTensorLayout_t`|5.3.0| | | | |
|`cudnnTensorStruct`|2.0.0| | | | | | | | | | | | | | | |
|`cudnnTensorTransformDescriptor_t`|7.5.0|9.0.0| | | | | | | | | | | | | | |
|`cudnnTensorTransformStruct`|7.5.0|9.0.0| | | | | | | | | | | | | | |
|`cudnnWgradMode_t`|7.5.0| | | | | | | | | | | | | | | |
|`libraryPropertyType`|6.0.0| | | | | | | | | | | | | | | |
|`libraryPropertyType_t`|6.0.0| | |9.0.0| | | | | | | | | | | | |

## **2. CUDNN Functions**

|**CUDA**|**A**|**D**|**C**|**R**|**HIP**|**A**|**D**|**C**|**R**|**E**|**MIOPEN**|**A**|**D**|**C**|**R**|**E**|
|:--|:-:|:-:|:-:|:-:|:--|:-:|:-:|:-:|:-:|:-:|:--|:-:|:-:|:-:|:-:|:-:|
|`cudnnActivationBackward`|1.0.0|9.0.0| | |`hipdnnActivationBackward`| | | | | |`miopenActivationBackward`|2.1.0| | | | |
|`cudnnActivationForward`|1.0.0|9.0.0| | |`hipdnnActivationForward`| | | | | |`miopenActivationForward`|2.1.0| | | | |
|`cudnnAddTensor`|2.0.0|9.0.0| | |`hipdnnAddTensor`| | | | | | | | | | | |
|`cudnnAdvInferVersionCheck`|8.0.1| | |9.0.0| | | | | | | | | | | | |
|`cudnnAdvTrainVersionCheck`|8.0.1| | |9.0.0| | | | | | | | | | | | |
|`cudnnAdvVersionCheck`|9.0.0| | | | | | | | | | | | | | | |
|`cudnnBackendCreateDescriptor`|8.0.1| | | | | | | | | |`miopenBackendCreateDescriptor`|6.2.0| | | | |
|`cudnnBackendDestroyDescriptor`|8.0.1| | | | | | | | | |`miopenBackendDestroyDescriptor`|6.2.0| | | | |
|`cudnnBackendExecute`|8.0.1| | | | | | | | | |`miopenBackendExecute`|6.2.0| | | | |
|`cudnnBackendFinalize`|8.0.1| | | | | | | | | |`miopenBackendFinalize`|6.2.0| | | | |
|`cudnnBackendGetAttribute`|8.0.1| | | | | | | | | |`miopenBackendGetAttribute`|6.2.0| | | | |
|`cudnnBackendInitialize`|8.0.1|9.3.0| | | | | | | | | | | | | | |
|`cudnnBackendPopulateCudaGraph`|9.5.0| | | | | | | | | | | | | | | |
|`cudnnBackendSetAttribute`|8.0.1| | | | | | | | | |`miopenBackendSetAttribute`|6.2.0| | | | |
|`cudnnBackendUpdateCudaGraph`|9.5.0| | | | | | | | | | | | | | | |
|`cudnnBatchNormalizationBackward`|4.0.0|9.0.0| | |`hipdnnBatchNormalizationBackward`| | | | | |`miopenBatchNormalizationBackward`|2.1.0| | | | |
|`cudnnBatchNormalizationBackwardEx`|7.4.1|9.0.0| | | | | | | | | | | | | | |
|`cudnnBatchNormalizationForwardInference`|4.0.0|9.0.0| | |`hipdnnBatchNormalizationForwardInference`| | | | | |`miopenBatchNormalizationForwardInference`|2.1.0| | | | |
|`cudnnBatchNormalizationForwardTraining`|4.0.0|9.0.0| | |`hipdnnBatchNormalizationForwardTraining`| | | | | |`miopenBatchNormalizationForwardTraining`|2.1.0| | | | |
|`cudnnBatchNormalizationForwardTrainingEx`|7.4.1|9.0.0| | | | | | | | | | | | | | |
|`cudnnBuildRNNDynamic`|8.0.1| | | | | | | | | | | | | | | |
|`cudnnCTCLoss`|7.0.5| | | | | | | | | |`miopenCTCLoss`|2.6.0| | | | |
|`cudnnCTCLoss_v8`|8.0.1| | | | | | | | | | | | | | | |
|`cudnnCnnInferVersionCheck`|8.0.2| | | | | | | | | | | | | | | |
|`cudnnCnnTrainVersionCheck`|8.0.2| | | | | | | | | | | | | | | |
|`cudnnConvolutionBackwardBias`|1.0.0|9.0.0| | |`hipdnnConvolutionBackwardBias`| | | | | |`miopenConvolutionBackwardBias`|2.1.0| | | | |
|`cudnnConvolutionBackwardData`|1.0.0|9.0.0| | |`hipdnnConvolutionBackwardData`| | | | | |`miopenConvolutionBackwardData`|2.1.0| | | | |
|`cudnnConvolutionBackwardFilter`|1.0.0|9.0.0| | |`hipdnnConvolutionBackwardFilter`| | | | | | | | | | | |
|`cudnnConvolutionBiasActivationForward`|6.0.0|9.0.0| | | | | | | | |`miopenConvolutionBiasActivationForward`|5.4.0| | | | |
|`cudnnConvolutionForward`|1.0.0|9.0.0| | |`hipdnnConvolutionForward`| | | | | |`miopenConvolutionForward`|2.1.0| | | | |
|`cudnnCopyAlgorithmDescriptor`|7.1.3|8.0.2| |9.0.0| | | | | | | | | | | | |
|`cudnnCreate`|1.0.0| | | |`hipdnnCreate`| | | | | |`miopenCreate`|2.1.0| | | | |
|`cudnnCreateActivationDescriptor`|4.0.0|9.0.0| | |`hipdnnCreateActivationDescriptor`| | | | | |`miopenCreateActivationDescriptor`|2.1.0| | | | |
|`cudnnCreateAlgorithmDescriptor`|7.1.3|8.0.2| |9.0.0| | | | | | | | | | | | |
|`cudnnCreateAlgorithmPerformance`|7.1.3|8.0.2| |9.0.0| | | | | | | | | | | | |
|`cudnnCreateAttnDescriptor`|7.5.0|9.0.0| | | | | | | | | | | | | | |
|`cudnnCreateCTCLossDescriptor`|7.0.5| | | | | | | | | |`miopenCreateCTCLossDescriptor`|2.6.0| | | | |
|`cudnnCreateConvolutionDescriptor`|1.0.0|9.0.0| | |`hipdnnCreateConvolutionDescriptor`| | | | | |`miopenCreateConvolutionDescriptor`|2.1.0| | | | |
|`cudnnCreateDropoutDescriptor`|5.0.0| | | |`hipdnnCreateDropoutDescriptor`| | | | | |`miopenCreateDropoutDescriptor`|2.8.0| | | | |
|`cudnnCreateFilterDescriptor`|1.0.0|9.0.0| | |`hipdnnCreateFilterDescriptor`| | | | | | | | | | | |
|`cudnnCreateFusedOpsConstParamPack`|7.6.0|9.0.0| | | | | | | | | | | | | | |
|`cudnnCreateFusedOpsPlan`|7.6.0|9.0.0| | | | | | | | | | | | | | |
|`cudnnCreateFusedOpsVariantParamPack`|7.6.0|9.0.0| | | | | | | | | | | | | | |
|`cudnnCreateLRNDescriptor`|3.0.0| | | |`hipdnnCreateLRNDescriptor`| | | | | |`miopenCreateLRNDescriptor`|2.1.0| | | | |
|`cudnnCreateOpTensorDescriptor`|5.0.0|9.0.0| | |`hipdnnCreateOpTensorDescriptor`| | | | | | | | | | | |
|`cudnnCreatePersistentRNNPlan`|6.0.0|8.0.1| |9.0.0|`hipdnnCreatePersistentRNNPlan`| | | | | | | | | | | |
|`cudnnCreatePoolingDescriptor`|1.0.0|9.0.0| | |`hipdnnCreatePoolingDescriptor`| | | | | |`miopenCreatePoolingDescriptor`|2.1.0| | | | |
|`cudnnCreateRNNDataDescriptor`|7.2.1| | | | | | | | | | | | | | | |
|`cudnnCreateRNNDescriptor`|5.0.0| | | |`hipdnnCreateRNNDescriptor`| | | | | |`miopenCreateRNNDescriptor`|2.1.0| | | | |
|`cudnnCreateReduceTensorDescriptor`|6.0.0|9.0.0| | |`hipdnnCreateReduceTensorDescriptor`| | | | | |`miopenCreateReduceTensorDescriptor`|3.9.0| | | | |
|`cudnnCreateSeqDataDescriptor`|7.5.0|9.0.0| | | | | | | | | | | | | | |
|`cudnnCreateSpatialTransformerDescriptor`|5.0.0| | | | | | | | | | | | | | | |
|`cudnnCreateTensorDescriptor`|2.0.0| | | |`hipdnnCreateTensorDescriptor`| | | | | |`miopenCreateTensorDescriptor`|2.1.0| | | | |
|`cudnnCreateTensorTransformDescriptor`|7.5.0|9.0.0| | | | | | | | | | | | | | |
|`cudnnDeriveBNTensorDescriptor`|4.0.0|9.0.0| | |`hipdnnDeriveBNTensorDescriptor`| | | | | |`miopenDeriveBNTensorDescriptor`|2.1.0| | | | |
|`cudnnDeriveNormTensorDescriptor`|8.0.1|9.0.0| | | | | | | | | | | | | | |
|`cudnnDestroy`|1.0.0| | | |`hipdnnDestroy`| | | | | |`miopenDestroy`|2.1.0| | | | |
|`cudnnDestroyActivationDescriptor`|4.0.0|9.0.0| | |`hipdnnDestroyActivationDescriptor`| | | | | |`miopenDestroyActivationDescriptor`|2.1.0| | | | |
|`cudnnDestroyAlgorithmDescriptor`|7.1.3|8.0.2| |9.0.0| | | | | | | | | | | | |
|`cudnnDestroyAlgorithmPerformance`|7.1.3|8.0.2| |9.0.0| | | | | | | | | | | | |
|`cudnnDestroyAttnDescriptor`|7.5.0|9.0.0| | | | | | | | | | | | | | |
|`cudnnDestroyCTCLossDescriptor`|7.0.5| | | | | | | | | |`miopenDestroyCTCLossDescriptor`|2.6.0| | | | |
|`cudnnDestroyConvolutionDescriptor`|1.0.0|9.0.0| | |`hipdnnDestroyConvolutionDescriptor`| | | | | |`miopenDestroyConvolutionDescriptor`|2.1.0| | | | |
|`cudnnDestroyDropoutDescriptor`|5.0.0| | | |`hipdnnDestroyDropoutDescriptor`| | | | | |`miopenDestroyDropoutDescriptor`|2.8.0| | | | |
|`cudnnDestroyFilterDescriptor`|1.0.0|9.0.0| | |`hipdnnDestroyFilterDescriptor`| | | | | | | | | | | |
|`cudnnDestroyFusedOpsConstParamPack`|7.6.0|9.0.0| | | | | | | | | | | | | | |
|`cudnnDestroyFusedOpsPlan`|7.6.0|9.0.0| | | | | | | | | | | | | | |
|`cudnnDestroyFusedOpsVariantParamPack`|7.6.0|9.0.0| | | | | | | | | | | | | | |
|`cudnnDestroyLRNDescriptor`|3.0.0| | | |`hipdnnDestroyLRNDescriptor`| | | | | |`miopenDestroyLRNDescriptor`|2.1.0| | | | |
|`cudnnDestroyOpTensorDescriptor`|5.0.0|9.0.0| | |`hipdnnDestroyOpTensorDescriptor`| | | | | | | | | | | |
|`cudnnDestroyPersistentRNNPlan`|6.0.0|8.0.1| |9.0.0|`hipdnnDestroyPersistentRNNPlan`| | | | | | | | | | | |
|`cudnnDestroyPoolingDescriptor`|1.0.0|9.0.0| | |`hipdnnDestroyPoolingDescriptor`| | | | | |`miopenDestroyPoolingDescriptor`|2.1.0| | | | |
|`cudnnDestroyRNNDataDescriptor`|7.2.1| | | | | | | | | | | | | | | |
|`cudnnDestroyRNNDescriptor`|5.0.0| | | |`hipdnnDestroyRNNDescriptor`| | | | | |`miopenDestroyRNNDescriptor`|2.1.0| | | | |
|`cudnnDestroyReduceTensorDescriptor`|6.0.0|9.0.0| | |`hipdnnDestroyReduceTensorDescriptor`| | | | | |`miopenDestroyReduceTensorDescriptor`|3.9.0| | | | |
|`cudnnDestroySeqDataDescriptor`|7.5.0|9.0.0| | | | | | | | | | | | | | |
|`cudnnDestroySpatialTransformerDescriptor`|5.0.0| | | | | | | | | | | | | | | |
|`cudnnDestroyTensorDescriptor`|2.0.0| | | |`hipdnnDestroyTensorDescriptor`| | | | | |`miopenDestroyTensorDescriptor`|2.1.0| | | | |
|`cudnnDestroyTensorTransformDescriptor`|7.5.0|9.0.0| | | | | | | | | | | | | | |
|`cudnnDivisiveNormalizationBackward`|3.0.0| | | | | | | | | | | | | | | |
|`cudnnDivisiveNormalizationForward`|3.0.0| | | | | | | | | | | | | | | |
|`cudnnDropoutBackward`|5.0.0| | | | | | | | | |`miopenDropoutBackward`|2.8.0| | | | |
|`cudnnDropoutForward`|5.0.0| | | | | | | | | |`miopenDropoutForward`|2.8.0| | | | |
|`cudnnDropoutGetReserveSpaceSize`|5.0.0| | | | | | | | | |`miopenDropoutGetReserveSpaceSize`|2.8.0| | | | |
|`cudnnDropoutGetStatesSize`|5.0.0| | | |`hipdnnDropoutGetStatesSize`| | | | | |`miopenDropoutGetStatesSize`|2.8.0| | | | |
|`cudnnFindConvolutionBackwardDataAlgorithm`|3.0.0|9.0.0| | |`hipdnnFindConvolutionBackwardDataAlgorithm`| | | | | | | | | | | |
|`cudnnFindConvolutionBackwardDataAlgorithmEx`|5.0.0|9.0.0| | |`hipdnnFindConvolutionBackwardDataAlgorithmEx`| | | | | | | | | | | |
|`cudnnFindConvolutionBackwardFilterAlgorithm`|3.0.0|9.0.0| | |`hipdnnFindConvolutionBackwardFilterAlgorithm`| | | | | | | | | | | |
|`cudnnFindConvolutionBackwardFilterAlgorithmEx`|5.0.0|9.0.0| | |`hipdnnFindConvolutionBackwardFilterAlgorithmEx`| | | | | | | | | | | |
|`cudnnFindConvolutionForwardAlgorithm`|3.0.0|9.0.0| | |`hipdnnFindConvolutionForwardAlgorithm`| | | | | | | | | | | |
|`cudnnFindConvolutionForwardAlgorithmEx`|5.0.0|9.0.0| | |`hipdnnFindConvolutionForwardAlgorithmEx`| | | | | |`miopenFindConvolutionForwardAlgorithm`|2.1.0| | | | |
|`cudnnFindRNNBackwardDataAlgorithmEx`|7.1.3|8.0.2| |9.0.0| | | | | | | | | | | | |
|`cudnnFindRNNBackwardWeightsAlgorithmEx`|7.1.3|8.0.2| |9.0.0| | | | | | | | | | | | |
|`cudnnFindRNNForwardInferenceAlgorithmEx`|7.1.3|8.0.2| |9.0.0| | | | | | | | | | | | |
|`cudnnFindRNNForwardTrainingAlgorithmEx`|7.1.3|8.0.2| |9.0.0| | | | | | | | | | | | |
|`cudnnFusedOpsExecute`|7.6.0|9.0.0| | | | | | | | | | | | | | |
|`cudnnGetActivationDescriptor`|4.0.0|9.0.0| | |`hipdnnGetActivationDescriptor`| | | | | | | | | | | |
|`cudnnGetActivationDescriptorSwishBeta`|8.2.0|9.0.0| | | | | | | | | | | | | | |
|`cudnnGetAlgorithmDescriptor`|7.1.3|8.0.2| |9.0.0| | | | | | | | | | | | |
|`cudnnGetAlgorithmPerformance`|7.1.3|8.0.2| |9.0.0| | | | | | | | | | | | |
|`cudnnGetAlgorithmSpaceSize`|7.1.3|8.0.2| |9.0.0| | | | | | | | | | | | |
|`cudnnGetAttnDescriptor`|7.5.0|9.0.0| | | | | | | | | | | | | | |
|`cudnnGetBatchNormalizationBackwardExWorkspaceSize`|7.4.1|9.0.0| | | | | | | | | | | | | | |
|`cudnnGetBatchNormalizationForwardTrainingExWorkspaceSize`|7.4.1|9.0.0| | | | | | | | | | | | | | |
|`cudnnGetBatchNormalizationTrainingExReserveSpaceSize`|7.4.1|9.0.0| | | | | | | | | | | | | | |
|`cudnnGetCTCLossDescriptor`|7.0.5|9.0.0| | | | | | | | |`miopenGetCTCLossDescriptor`|2.6.0| | | | |
|`cudnnGetCTCLossDescriptorEx`|7.5.0|9.0.0| | | | | | | | | | | | | | |
|`cudnnGetCTCLossDescriptor_v8`|8.0.1|9.0.0| | | | | | | | | | | | | | |
|`cudnnGetCTCLossDescriptor_v9`|9.0.0| | | | | | | | | | | | | | | |
|`cudnnGetCTCLossWorkspaceSize`|7.0.5| | | | | | | | | |`miopenGetCTCLossWorkspaceSize`|2.6.0| | | | |
|`cudnnGetCTCLossWorkspaceSize_v8`|8.0.1| | | | | | | | | | | | | | | |
|`cudnnGetCallback`|7.1.3| | | | | | | | | | | | | | | |
|`cudnnGetConvolution2dDescriptor`|2.0.0|9.0.0| | |`hipdnnGetConvolution2dDescriptor`| | | | | | | | | | | |
|`cudnnGetConvolution2dForwardOutputDim`|2.0.0|9.0.0| | |`hipdnnGetConvolution2dForwardOutputDim`| | | | | |`miopenGetConvolutionForwardOutputDim`|2.1.0| | | | |
|`cudnnGetConvolutionBackwardDataAlgorithm`|3.0.0|7.6.5| |8.0.1|`hipdnnGetConvolutionBackwardDataAlgorithm`| | | | | | | | | | | |
|`cudnnGetConvolutionBackwardDataAlgorithmMaxCount`|7.0.5|9.0.0| | | | | | | | | | | | | | |
|`cudnnGetConvolutionBackwardDataAlgorithm_v7`|7.0.5|9.0.0| | | | | | | | | | | | | | |
|`cudnnGetConvolutionBackwardDataWorkspaceSize`|3.0.0|9.0.0| | |`hipdnnGetConvolutionBackwardDataWorkspaceSize`| | | | | |`miopenConvolutionBackwardDataGetWorkSpaceSize`|2.1.0| | | | |
|`cudnnGetConvolutionBackwardFilterAlgorithm`|3.0.0|7.6.5| |8.0.1|`hipdnnGetConvolutionBackwardFilterAlgorithm`| | | | | | | | | | | |
|`cudnnGetConvolutionBackwardFilterAlgorithmMaxCount`|7.0.5| | | | | | | | | | | | | | | |
|`cudnnGetConvolutionBackwardFilterAlgorithm_v7`|7.0.5|9.0.0| | | | | | | | | | | | | | |
|`cudnnGetConvolutionBackwardFilterWorkspaceSize`|3.0.0|9.0.0| | |`hipdnnGetConvolutionBackwardFilterWorkspaceSize`| | | | | | | | | | | |
|`cudnnGetConvolutionForwardAlgorithm`|2.0.0|7.6.5| |8.0.1|`hipdnnGetConvolutionForwardAlgorithm`| | | | | | | | | | | |
|`cudnnGetConvolutionForwardAlgorithmMaxCount`|7.0.5|9.0.0| | | | | | | | | | | | | | |
|`cudnnGetConvolutionForwardAlgorithm_v7`|7.0.5|9.0.0| | | | | | | | | | | | | | |
|`cudnnGetConvolutionForwardWorkspaceSize`|2.0.0|9.0.0| | |`hipdnnGetConvolutionForwardWorkspaceSize`| | | | | |`miopenConvolutionForwardGetWorkSpaceSize`|2.1.0| | | | |
|`cudnnGetConvolutionGroupCount`|7.0.5|9.0.0| | | | | | | | | | | | | | |
|`cudnnGetConvolutionMathType`|7.0.5|9.0.0| | | | | | | | | | | | | | |
|`cudnnGetConvolutionNdDescriptor`|2.0.0|9.0.0| | | | | | | | | | | | | | |
|`cudnnGetConvolutionNdForwardOutputDim`|2.0.0|9.0.0| | | | | | | | | | | | | | |
|`cudnnGetConvolutionReorderType`|7.6.0|9.0.0| | | | | | | | | | | | | | |
|`cudnnGetCudartVersion`|6.0.0| | | | | | | | | | | | | | | |
|`cudnnGetDropoutDescriptor`|7.0.5| | | | | | | | | |`miopenGetDropoutDescriptor`|2.8.0| | | | |
|`cudnnGetErrorString`|2.0.0| | | |`hipdnnGetErrorString`| | | | | |`miopenGetErrorString`|2.1.0| | | | |
|`cudnnGetFilter4dDescriptor`|2.0.0|9.0.0| | |`hipdnnGetFilter4dDescriptor`| | | | | | | | | | | |
|`cudnnGetFilterNdDescriptor`|2.0.0|9.0.0| | |`hipdnnGetFilterNdDescriptor`| | | | | | | | | | | |
|`cudnnGetFilterSizeInBytes`|7.6.0|9.0.0| | | | | | | | | | | | | | |
|`cudnnGetFoldedConvBackwardDataDescriptors`|7.6.0|9.0.0| | | | | | | | | | | | | | |
|`cudnnGetFusedOpsConstParamPackAttribute`|7.6.0|9.0.0| | | | | | | | | | | | | | |
|`cudnnGetFusedOpsVariantParamPackAttribute`|7.6.0|9.0.0| | | | | | | | | | | | | | |
|`cudnnGetLRNDescriptor`|3.0.0| | | |`hipdnnGetLRNDescriptor`| | | | | |`miopenGetLRNDescriptor`|2.1.0| | | | |
|`cudnnGetLastErrorString`|9.0.0| | | | | | | | | | | | | | | |
|`cudnnGetMaxDeviceVersion`|8.6.0| | | | | | | | | | | | | | | |
|`cudnnGetMultiHeadAttnBuffers`|7.5.0|9.0.0| | | | | | | | | | | | | | |
|`cudnnGetMultiHeadAttnWeights`|7.5.0|9.0.0| | | | | | | | | | | | | | |
|`cudnnGetNormalizationBackwardWorkspaceSize`|8.0.1|9.0.0| | | | | | | | | | | | | | |
|`cudnnGetNormalizationForwardTrainingWorkspaceSize`|8.0.1|9.0.0| | | | | | | | | | | | | | |
|`cudnnGetNormalizationTrainingReserveSpaceSize`|8.0.1|9.0.0| | | | | | | | | | | | | | |
|`cudnnGetOpTensorDescriptor`|5.0.0|9.0.0| | |`hipdnnGetOpTensorDescriptor`| | | | | | | | | | | |
|`cudnnGetPooling2dDescriptor`|2.0.0|9.0.0| | |`hipdnnGetPooling2dDescriptor`| | | | | |`miopenGet2dPoolingDescriptor`|2.1.0| | | | |
|`cudnnGetPooling2dForwardOutputDim`|2.0.0|9.0.0| | |`hipdnnGetPooling2dForwardOutputDim`| | | | | |`miopenGetPoolingForwardOutputDim`|2.1.0| | | | |
|`cudnnGetPoolingNdDescriptor`|2.0.0|9.0.0| | | | | | | | |`miopenGetNdPoolingDescriptor`|3.3.0| | | | |
|`cudnnGetPoolingNdForwardOutputDim`|2.0.0|9.0.0| | | | | | | | |`miopenGetPoolingNdForwardOutputDim`|3.3.0| | | | |
|`cudnnGetProperty`|6.0.0| | | | | | | | | | | | | | | |
|`cudnnGetRNNBackwardDataAlgorithmMaxCount`|7.1.3|8.0.2| |9.0.0| | | | | | | | | | | | |
|`cudnnGetRNNBackwardWeightsAlgorithmMaxCount`|7.1.3|8.0.2| |9.0.0| | | | | | | | | | | | |
|`cudnnGetRNNBiasMode`|7.5.0|8.0.1| |9.0.0| | | | | | | | | | | | |
|`cudnnGetRNNDataDescriptor`|7.2.1| | | | | | | | | | | | | | | |
|`cudnnGetRNNDescriptor`|7.0.5|7.6.5| |8.0.1|`hipdnnGetRNNDescriptor`| | | | | |`miopenGetRNNDescriptor_V2`|3.5.0| | | | |
|`cudnnGetRNNDescriptor_v6`|8.0.1|8.0.1| |9.0.0| | | | | | |`miopenGetRNNDescriptor_V2`|3.5.0| | | | |
|`cudnnGetRNNDescriptor_v8`|8.0.1| | | | | | | | | | | | | | | |
|`cudnnGetRNNForwardInferenceAlgorithmMaxCount`|7.1.3|8.0.2| |9.0.0| | | | | | | | | | | | |
|`cudnnGetRNNForwardTrainingAlgorithmMaxCount`|7.1.3|8.0.2| |9.0.0| | | | | | | | | | | | |
|`cudnnGetRNNLinLayerBiasParams`|5.0.0|8.0.1| |9.0.0|`hipdnnGetRNNLinLayerBiasParams`| | | | | | | | | | | |
|`cudnnGetRNNLinLayerMatrixParams`|5.0.0|8.0.1| |9.0.0|`hipdnnGetRNNLinLayerMatrixParams`| | | | | | | | | | | |
|`cudnnGetRNNMatrixMathType`|7.1.3|8.0.1| |9.0.0| | | | | | | | | | | | |
|`cudnnGetRNNPaddingMode`|7.2.1|8.0.1| |9.0.0| | | | | | | | | | | | |
|`cudnnGetRNNParamsSize`|5.0.0|8.0.1| |9.0.0|`hipdnnGetRNNParamsSize`| | | | | |`miopenGetRNNParamsSize`|2.1.0| | | | |
|`cudnnGetRNNProjectionLayers`|7.1.3|8.0.1| |9.0.0| | | | | | | | | | | | |
|`cudnnGetRNNTempSpaceSizes`|8.0.1| | | | | | | | | | | | | | | |
|`cudnnGetRNNTrainingReserveSize`|5.0.0|8.0.1| |9.0.0|`hipdnnGetRNNTrainingReserveSize`| | | | | |`miopenGetRNNTrainingReserveSize`|2.1.0| | | | |
|`cudnnGetRNNWeightParams`|8.0.1| | | | | | | | | | | | | | | |
|`cudnnGetRNNWeightSpaceSize`|8.0.1| | | | | | | | | | | | | | | |
|`cudnnGetRNNWorkspaceSize`|5.0.0|8.0.1| |9.0.0|`hipdnnGetRNNWorkspaceSize`| | | | | |`miopenGetRNNWorkspaceSize`|2.1.0| | | | |
|`cudnnGetReduceTensorDescriptor`|6.0.0|9.0.0| | |`hipdnnGetReduceTensorDescriptor`| | | | | |`miopenGetReduceTensorDescriptor`|3.9.0| | | | |
|`cudnnGetReductionIndicesSize`|6.0.0|9.0.0| | | | | | | | |`miopenGetReductionIndicesSize`|3.9.0| | | | |
|`cudnnGetReductionWorkspaceSize`|6.0.0|9.0.0| | |`hipdnnGetReductionWorkspaceSize`| | | | | |`miopenGetReductionWorkspaceSize`|3.9.0| | | | |
|`cudnnGetSeqDataDescriptor`|7.5.0|9.0.0| | | | | | | | | | | | | | |
|`cudnnGetStream`|1.0.0| | | |`hipdnnGetStream`| | | | | |`miopenGetStream`|2.1.0| | | | |
|`cudnnGetTensor4dDescriptor`|1.0.0| | | |`hipdnnGetTensor4dDescriptor`| | | | | |`miopenGet4dTensorDescriptor`|2.1.0| | | | |
|`cudnnGetTensorNdDescriptor`|2.0.0| | | |`hipdnnGetTensorNdDescriptor`| | | | | | | | | | | |
|`cudnnGetTensorSizeInBytes`|6.0.0| | | | | | | | | | | | | | | |
|`cudnnGetTensorTransformDescriptor`|7.5.0|9.0.0| | | | | | | | | | | | | | |
|`cudnnGetVersion`|2.0.0| | | |`hipdnnGetVersion`| | | | | | | | | | | |
|`cudnnGraphVersionCheck`|9.0.0| | | | | | | | | | | | | | | |
|`cudnnIm2Col`|2.0.0|9.0.0| | | | | | | | | | | | | | |
|`cudnnInitTransformDest`|7.5.0|9.0.0| | | | | | | | | | | | | | |
|`cudnnLRNCrossChannelBackward`|3.0.0| | | |`hipdnnLRNCrossChannelBackward`| | | | | | | | | | | |
|`cudnnLRNCrossChannelForward`|3.0.0| | | |`hipdnnLRNCrossChannelForward`| | | | | | | | | | | |
|`cudnnMakeFusedOpsPlan`|7.6.0|9.0.0| | | | | | | | | | | | | | |
|`cudnnMultiHeadAttnBackwardData`|7.5.0|9.0.0| | | | | | | | | | | | | | |
|`cudnnMultiHeadAttnBackwardWeights`|7.5.0|9.0.0| | | | | | | | | | | | | | |
|`cudnnMultiHeadAttnForward`|7.5.0|9.0.0| | | | | | | | | | | | | | |
|`cudnnNormalizationBackward`|8.0.1|9.0.0| | | | | | | | | | | | | | |
|`cudnnNormalizationForwardInference`|8.0.1|9.0.0| | | | | | | | | | | | | | |
|`cudnnNormalizationForwardTraining`|8.0.1|9.0.0| | | | | | | | | | | | | | |
|`cudnnOpTensor`|5.0.0|9.0.0| | |`hipdnnOpTensor`| | | | | | | | | | | |
|`cudnnOpsInferVersionCheck`|8.0.1| | | | | | | | | | | | | | | |
|`cudnnOpsTrainVersionCheck`|8.0.1| | |9.0.0| | | | | | | | | | | | |
|`cudnnOpsVersionCheck`|9.0.0| | | | | | | | | | | | | | | |
|`cudnnPoolingBackward`|1.0.0|9.0.0| | |`hipdnnPoolingBackward`| | | | | | | | | | | |
|`cudnnPoolingForward`|1.0.0|9.0.0| | |`hipdnnPoolingForward`| | | | | | | | | | | |
|`cudnnQueryRuntimeError`|7.0.5|9.0.0| | | | | | | | | | | | | | |
|`cudnnRNNBackwardData`|5.0.0|8.0.2| |9.0.0|`hipdnnRNNBackwardData`| | | | | |`miopenRNNBackwardData`|2.1.0| | | | |
|`cudnnRNNBackwardDataEx`|7.2.1|8.0.2| |9.0.0| | | | | | | | | | | | |
|`cudnnRNNBackwardData_v8`|8.0.2| | | | | | | | | | | | | | | |
|`cudnnRNNBackwardWeights`|5.0.0|8.0.2| |9.0.0|`hipdnnRNNBackwardWeights`| | | | | |`miopenRNNBackwardWeights`|2.1.0| | | | |
|`cudnnRNNBackwardWeightsEx`|7.2.1|8.0.2| |9.0.0| | | | | | | | | | | | |
|`cudnnRNNBackwardWeights_v8`|8.0.2| | | | | | | | | | | | | | | |
|`cudnnRNNForward`|8.0.1| | | | | | | | | | | | | | | |
|`cudnnRNNForwardInference`|5.0.0|8.0.1| |9.0.0|`hipdnnRNNForwardInference`| | | | | |`miopenRNNForwardInference`|2.1.0| | | | |
|`cudnnRNNForwardInferenceEx`|7.2.1|8.0.1| |9.0.0| | | | | | | | | | | | |
|`cudnnRNNForwardTraining`|5.0.0|8.0.1| |9.0.0|`hipdnnRNNForwardTraining`| | | | | |`miopenRNNForwardTraining`|2.1.0| | | | |
|`cudnnRNNForwardTrainingEx`|7.2.1|8.0.1| |9.0.0| | | | | | | | | | | | |
|`cudnnRNNGetClip`|7.2.1|8.0.1| |9.0.0| | | | | | | | | | | | |
|`cudnnRNNGetClip_v8`|8.0.1| | | | | | | | | | | | | | | |
|`cudnnRNNGetClip_v9`|9.0.0| | | | | | | | | | | | | | | |
|`cudnnRNNSetClip`|7.2.1|8.0.1| |9.0.0| | | | | | | | | | | | |
|`cudnnRNNSetClip_v8`|8.0.1| | | | | | | | | | | | | | | |
|`cudnnRNNSetClip_v9`|9.0.0| | | | | | | | | | | | | | | |
|`cudnnReduceTensor`|6.0.0|9.0.0| | |`hipdnnReduceTensor`| | | | | |`miopenReduceTensor`|3.9.0| | | | |
|`cudnnReorderFilterAndBias`|7.6.0|9.0.0| | | | | | | | | | | | | | |
|`cudnnRestoreAlgorithm`|7.1.3|8.0.2| |9.0.0| | | | | | | | | | | | |
|`cudnnRestoreDropoutDescriptor`|7.0.5| | | | | | | | | |`miopenRestoreDropoutDescriptor`|2.8.0| | | | |
|`cudnnSaveAlgorithm`|7.1.3|8.0.2| |9.0.0| | | | | | | | | | | | |
|`cudnnScaleTensor`|2.0.0|9.0.0| | |`hipdnnScaleTensor`| | | | | |`miopenScaleTensor`|2.1.0| | | | |
|`cudnnSetActivationDescriptor`|4.0.0|9.0.0| | |`hipdnnSetActivationDescriptor`| | | | | | | | | | | |
|`cudnnSetActivationDescriptorSwishBeta`|8.2.0|9.0.0| | | | | | | | | | | | | | |
|`cudnnSetAlgorithmDescriptor`|7.1.3|8.0.2| |9.0.0| | | | | | | | | | | | |
|`cudnnSetAlgorithmPerformance`|7.1.3|8.0.2| |9.0.0| | | | | | | | | | | | |
|`cudnnSetAttnDescriptor`|7.5.0|9.0.0| | | | | | | | | | | | | | |
|`cudnnSetCTCLossDescriptor`|7.0.5|9.0.0| | | | | | | | |`miopenSetCTCLossDescriptor`|2.6.0| | | | |
|`cudnnSetCTCLossDescriptorEx`|7.6.0|9.0.0| | | | | | | | | | | | | | |
|`cudnnSetCTCLossDescriptor_v8`|8.0.1|9.0.0| | | | | | | | | | | | | | |
|`cudnnSetCTCLossDescriptor_v9`|9.0.0| | | | | | | | | | | | | | | |
|`cudnnSetCallback`|7.1.3| | | | | | | | | | | | | | | |
|`cudnnSetConvolution2dDescriptor`|2.0.0|9.0.0| | |`hipdnnSetConvolution2dDescriptor`| | | | | | | | | | | |
|`cudnnSetConvolutionGroupCount`|7.0.5|9.0.0| | |`hipdnnSetConvolutionGroupCount`| | | | | |`miopenSetConvolutionGroupCount`|2.1.0| | | | |
|`cudnnSetConvolutionMathType`|7.0.5|9.0.0| | |`hipdnnSetConvolutionMathType`| | | | | | | | | | | |
|`cudnnSetConvolutionNdDescriptor`|2.0.0|9.0.0| | |`hipdnnSetConvolutionNdDescriptor`| | | | | | | | | | | |
|`cudnnSetConvolutionReorderType`|7.6.0|9.0.0| | | | | | | | | | | | | | |
|`cudnnSetDropoutDescriptor`|5.0.0| | | |`hipdnnSetDropoutDescriptor`| | | | | |`miopenSetDropoutDescriptor`|2.8.0| | | | |
|`cudnnSetFilter4dDescriptor`|2.0.0|9.0.0| | |`hipdnnSetFilter4dDescriptor`| | | | | | | | | | | |
|`cudnnSetFilterNdDescriptor`|2.0.0|9.0.0| | |`hipdnnSetFilterNdDescriptor`| | | | | | | | | | | |
|`cudnnSetFusedOpsConstParamPackAttribute`|7.6.0|9.0.0| | | | | | | | | | | | | | |
|`cudnnSetFusedOpsVariantParamPackAttribute`|7.6.0|9.0.0| | | | | | | | | | | | | | |
|`cudnnSetLRNDescriptor`|3.0.0| | | |`hipdnnSetLRNDescriptor`| | | | | |`miopenSetLRNDescriptor`|2.1.0| | | | |
|`cudnnSetOpTensorDescriptor`|5.0.0|9.0.0| | |`hipdnnSetOpTensorDescriptor`| | | | | | | | | | | |
|`cudnnSetPersistentRNNPlan`|6.0.0|8.0.1| |9.0.0|`hipdnnSetPersistentRNNPlan`| | | | | | | | | | | |
|`cudnnSetPooling2dDescriptor`|2.0.0|9.0.0| | |`hipdnnSetPooling2dDescriptor`| | | | | |`miopenSet2dPoolingDescriptor`|2.1.0| | | | |
|`cudnnSetPoolingNdDescriptor`|2.0.0|9.0.0| | |`hipdnnSetPoolingNdDescriptor`| | | | | |`miopenSetNdPoolingDescriptor`|3.3.0| | | | |
|`cudnnSetRNNAlgorithmDescriptor`|7.1.3|8.0.2| |9.0.0| | | | | | | | | | | | |
|`cudnnSetRNNBiasMode`|7.5.0|8.0.1| |9.0.0| | | | | | | | | | | | |
|`cudnnSetRNNDataDescriptor`|7.2.1| | | | | | | | | | | | | | | |
|`cudnnSetRNNDescriptor`|5.0.0|7.6.5| |8.0.1|`hipdnnSetRNNDescriptor`| | | | | | | | | | | |
|`cudnnSetRNNDescriptor_v5`|7.0.5|7.6.5| |8.0.1|`hipdnnSetRNNDescriptor_v5`| | | | | | | | | | | |
|`cudnnSetRNNDescriptor_v6`|6.0.0|8.0.1| |9.0.0|`hipdnnSetRNNDescriptor_v6`| | | | | |`miopenSetRNNDescriptor_V2`|3.5.0| | | | |
|`cudnnSetRNNDescriptor_v8`|8.0.1| | | | | | | | | | | | | | | |
|`cudnnSetRNNMatrixMathType`|7.0.5|8.0.1| |9.0.0| | | | | | | | | | | | |
|`cudnnSetRNNPaddingMode`|7.2.1|8.0.1| |9.0.0| | | | | | | | | | | | |
|`cudnnSetRNNProjectionLayers`|7.1.3|8.0.1| |9.0.0| | | | | | | | | | | | |
|`cudnnSetReduceTensorDescriptor`|6.0.0|9.0.0| | |`hipdnnSetReduceTensorDescriptor`| | | | | |`miopenSetReduceTensorDescriptor`|3.9.0| | | | |
|`cudnnSetSeqDataDescriptor`|7.5.0|9.0.0| | | | | | | | | | | | | | |
|`cudnnSetSpatialTransformerNdDescriptor`|5.0.0| | | | | | | | | | | | | | | |
|`cudnnSetStream`|1.0.0| | | |`hipdnnSetStream`| | | | | |`miopenSetStream`|2.1.0| | | | |
|`cudnnSetTensor`|2.0.0| | | |`hipdnnSetTensor`| | | | | |`miopenSetTensor`|2.1.0| | | | |
|`cudnnSetTensor4dDescriptor`|1.0.0| | | |`hipdnnSetTensor4dDescriptor`| | | | | | | | | | | |
|`cudnnSetTensor4dDescriptorEx`|1.0.0| | | |`hipdnnSetTensor4dDescriptorEx`| | | | | |`miopenSet4dTensorDescriptorEx`|5.3.0| | | | |
|`cudnnSetTensorNdDescriptor`|2.0.0| | | |`hipdnnSetTensorNdDescriptor`| | | | | | | | | | | |
|`cudnnSetTensorNdDescriptorEx`|6.0.0| | | | | | | | | | | | | | | |
|`cudnnSetTensorTransformDescriptor`|7.5.0|9.0.0| | | | | | | | | | | | | | |
|`cudnnSoftmaxBackward`|1.0.0| | | |`hipdnnSoftmaxBackward`| | | | | |`miopenSoftmaxBackward_V2`|2.6.0| | | | |
|`cudnnSoftmaxForward`|1.0.0| | | |`hipdnnSoftmaxForward`| | | | | |`miopenSoftmaxForward_V2`|2.6.0| | | | |
|`cudnnSpatialTfGridGeneratorBackward`|5.0.0| | | | | | | | | | | | | | | |
|`cudnnSpatialTfGridGeneratorForward`|5.0.0| | | | | | | | | | | | | | | |
|`cudnnSpatialTfSamplerBackward`|5.0.0| | | | | | | | | | | | | | | |
|`cudnnSpatialTfSamplerForward`|5.0.0| | | | | | | | | | | | | | | |
|`cudnnTransformFilter`|7.6.0|9.0.0| | | | | | | | | | | | | | |
|`cudnnTransformTensor`|2.0.0|9.0.0| | | | | | | | |`miopenTransformTensor`|2.1.0| | | | |
|`cudnnTransformTensorEx`|7.5.0|9.0.0| | | | | | | | | | | | | | |


\*A - Added; D - Deprecated; C - Changed; R - Removed; E - Experimental